webpackJsonp([0],{

/***/ 106:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__cart_cart__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__list_list__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__home_home__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__mine_mine__ = __webpack_require__(211);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var TabsPage = (function () {
    function TabsPage(events, navCtrl) {
        var _this = this;
        this.events = events;
        this.navCtrl = navCtrl;
        this.tab1Root = __WEBPACK_IMPORTED_MODULE_4__home_home__["a" /* HomePage */];
        this.tab2Root = __WEBPACK_IMPORTED_MODULE_3__list_list__["a" /* ListPage */];
        this.tab3Root = __WEBPACK_IMPORTED_MODULE_2__cart_cart__["a" /* CartPage */];
        this.tab4Root = __WEBPACK_IMPORTED_MODULE_5__mine_mine__["a" /* MinePage */];
        this.cartList = [];
        events.subscribe('cartLists', function (cartLists) {
            _this.cartList = cartLists; //接收events值
        });
    }
    TabsPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-tabs',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/tabs/tabs.html"*/'<ion-tabs>\n  <ion-tab [root]="tab1Root" tabTitle="首页" tabIcon="ios-home-outline"></ion-tab>\n  <ion-tab [root]="tab2Root" tabTitle="选菜" tabIcon="ios-keypad-outline"></ion-tab>\n  <ion-tab [root]="tab3Root" tabTitle="采购车" [tabBadge]="cartList?.length" tabIcon="ios-cart-outline" [rootParams]="cartList" ></ion-tab>\n  <ion-tab [root]="tab4Root" tabTitle="我的" tabIcon="ios-contact-outline"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/tabs/tabs.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */]])
    ], TabsPage);
    return TabsPage;
}());

//# sourceMappingURL=tabs.js.map

/***/ }),

/***/ 107:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FavoritePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__cart_cart__ = __webpack_require__(42);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var FavoritePage = (function () {
    function FavoritePage(navCtrl, http, events, alertCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.events = events;
        this.alertCtrl = alertCtrl;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.myFavoriteId = [];
        this.myFavorite = [];
        this.appConfig = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype;
        this.myAlert = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype.myAlert;
        this.cartLists = [];
        //this.cartLists = AppConfig.getCartData();
        this.getMyfavorite();
    }
    FavoritePage.prototype.publishEvents = function () {
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    FavoritePage.prototype.ionViewWillEnter = function () {
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
    };
    FavoritePage.prototype.addInCart = function (cur, params) {
        if (cur === 0) {
            for (var i in this.myFavorite) {
                if (this.myFavorite[i].id == params) {
                    this.myFavorite[i]['add'] = false;
                    this.cartLists.push(this.myFavorite[i]);
                    for (var t in this.cartLists) {
                        this.cartLists[t]['subtotal'] = this.cartLists[t].amount_min;
                    }
                    __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(this.cartLists);
                    this.publishEvents();
                }
            }
        }
        else if (cur === 1) {
            for (var i in this.myFavorite) {
                if (this.myFavorite[i].id == params) {
                    this.myFavorite[i]['add'] = true;
                    for (var s in this.cartLists) {
                        if (this.cartLists[s]['id'] == this.myFavorite[i]['id']) {
                            var c = parseInt(s);
                            this.cartLists.splice(c, 1);
                        }
                    }
                    __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(this.cartLists);
                    this.publishEvents();
                }
            }
        }
    };
    FavoritePage.prototype.getMyfavorite = function () {
        var _this = this;
        var data = { 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'user/info', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                var str = res.json().data.favorite;
                _this.myFavoriteId = str.split(","); //取值返回为数组供下面比较用
                var data2 = { form: { ids: str }, 'token': _this.token };
                _this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'goods/listsByid', data2)
                    .subscribe(function (res) {
                    if (res.json().code == 1) {
                        _this.myFavorite = res.json().data;
                        for (var i in _this.myFavorite) {
                            _this.myFavorite[i]['add'] = true;
                            for (var s in _this.cartLists) {
                                if (_this.cartLists[s]['id'] == _this.myFavorite[i]['id']) {
                                    _this.myFavorite[i]['add'] = false;
                                }
                            }
                        }
                    }
                });
            }
        });
    };
    FavoritePage.prototype.cancelFavorite = function (ids, item) {
        var _this = this;
        this.myAlert(1, "您确定不再收藏该商品了吗？", function () {
            for (var f in _this.myFavoriteId) {
                if (_this.myFavoriteId[f] == ids) {
                    var c = parseInt(f);
                    _this.myFavoriteId.splice(c, 1);
                }
            }
            var id = _this.myFavoriteId.join(','); //数组转为字符串
            var data = { form: { 'key': 'favorite', 'value': id }, 'token': _this.token };
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'user/setInfo', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    localStorage.setItem("favorite", id);
                    _this.getMyfavorite();
                }
            });
        });
    };
    FavoritePage.prototype.gotoCart = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__cart_cart__["a" /* CartPage */]);
    };
    FavoritePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-favorite',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/favorite/favorite.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      我的收藏\n    </ion-title>\n  </ion-navbar>\n</ion-header> \n\n<ion-content>\n	<div class="empty" *ngIf="myFavorite.length == 0">\n		<img src="assets/imgs/empty_pic_shoppingcart@2x.png">\n		<h3>很抱歉!</h3>\n		<h4>您还没有收藏商品</h4>\n	</div>\n	<div class="favoritelist" *ngIf="myFavorite.length != 0">\n		<ul>\n			<li *ngFor = "let item of myFavorite">\n				<div class="cancle_collection" (click)="cancelFavorite(item?.id,item)">取消收藏</div>\n					<img [src]= "severUrl+item?.image">   \n					 <div class="price">\n						<h5>{{item?.vegetable_title}}（{{item?.goods_title}}）</h5>\n						<p><span>¥{{item?.price}}</span>/每{{item?.unit}}</p>\n				   </div>\n					<div class="add_btn">\n						<h5 class="fontsize07 fColor999 right">货号{{item?.no}}</h5>\n						<a *ngIf="item?.add==true" (click)="addInCart(0,item?.id)"><img src="assets/imgs/icon_add_nor@2x.png"></a>\n						<a *ngIf="item?.add==false" (click)="addInCart(1,item?.id)"><img src="assets/imgs/icon_minus_nor@2x.png"></a>\n					</div>\n			</li>\n		</ul>\n<!-- 		<div class="soldout_btn">\n			<p class="fontsize08 orange">取消收藏已下架菜品</p>\n		</div>\n -->\n 	</div>\n	<ion-cart></ion-cart>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/favorite/favorite.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], FavoritePage);
    return FavoritePage;
}());

//# sourceMappingURL=favorite.js.map

/***/ }),

/***/ 108:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__messageDetail_messageDetail__ = __webpack_require__(210);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var MessagePage = (function () {
    function MessagePage(navCtrl, http, params) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.params = params;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.messageList = [];
        this.getMessage();
    }
    MessagePage.prototype.getMessage = function () {
        var _this = this;
        var data = { "token": this.token };
        this.http.post(this.severUrl + 'message/lists', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.messageList = res.json().data;
                for (var t in _this.messageList) {
                    var timestamp3 = _this.messageList[t].create_time;
                    var newDate = new Date();
                    newDate.setTime(timestamp3 * 1000);
                    var create_times = newDate.toLocaleTimeString();
                    _this.messageList[t].create_time = create_times;
                }
            }
        });
    };
    MessagePage.prototype.gotoMessageDetail = function (id) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__messageDetail_messageDetail__["a" /* MessageDetailPage */], id);
    };
    MessagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-message',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/message/message.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      消息\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n    <div class="empty" *ngIf="messageList.length==0">\n      <img src="assets/imgs/empty_pic_shoppingcart@2x.png">\n      <h3>暂无消息</h3>\n    </div>\n     	<ul *ngIf="messageList.length!=0">\n     		<li class="tips2" *ngFor = "let item of messageList" (click)="gotoMessageDetail(item?.id)">  \n     		  	<div class="tips1">\n					<img src="assets/imgs/mine_icon_round_nor.png" width="9" height="9" alt="" *ngIf="item?.status==0"/> \n     				<a href="#" class="tip">{{item?.title}}</a>\n					<h5>{{item?.create_time}}</h5>\n				</div>\n			</li>\n  		</ul>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/message/message.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], MessagePage);
    return MessagePage;
}());

//# sourceMappingURL=message.js.map

/***/ }),

/***/ 109:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ModefyPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__login_login__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ModefyPasswordPage = (function () {
    function ModefyPasswordPage(navCtrl, http) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
    }
    ModefyPasswordPage.prototype.modefyPassword = function (oldpassword, password) {
        var _this = this;
        var data = { form: { "oldpassword": oldpassword.value, "password": password.value }, "token": this.token };
        this.http.post(this.severUrl + 'user/password', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                alert(res.json().msg);
                localStorage.removeItem('token');
                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__login_login__["a" /* LoginPage */]);
            }
            else {
                alert(res.json().msg);
            }
        });
    };
    ModefyPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-modefyPassword',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/modefyPassword/modefyPassword.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      修改密码\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n		<ul class="loginfrom">\n			<li class="input">\n				<input type="password" placeholder="请输入新密码"  maxlength="11" #oldpassword/>\n			</li>\n			<li class="input">\n				<input type="password" placeholder="请输入新密码"  maxlength="11" #password/>\n			</li>\n			<li class="sub">\n				<input type="submit" value="保存" (click)="modefyPassword(oldpassword,password)"/>     \n			</li>\n		</ul>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/modefyPassword/modefyPassword.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
    ], ModefyPasswordPage);
    return ModefyPasswordPage;
}());

//# sourceMappingURL=modefyPassword.js.map

/***/ }),

/***/ 120:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 120;

/***/ }),

/***/ 161:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 161;

/***/ }),

/***/ 205:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettlementPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__order_order__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__redPacket_redPacket__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SettlementPage = (function () {
    function SettlementPage(navCtrl, params, alertCtrl, http, events) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.params = params;
        this.alertCtrl = alertCtrl;
        this.http = http;
        this.events = events;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_5__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_5__app_main__["AppConfig"].getToken(); //获取token
        this.myAlert = __WEBPACK_IMPORTED_MODULE_5__app_main__["AppConfig"].prototype.myAlert;
        this.redPacket = { amount: 0, id: 0 };
        this.lists = {};
        this.paytypes = 1; //默认支付方式为1，支付宝
        this.cartLists = params.data.cartLists;
        this.total = params.data.total;
        for (var v in this.cartLists) {
            this.lists[this.cartLists[v].id] = this.cartLists[v].subtotal;
        }
        events.subscribe('redPacketParams', function (redPacketParams) {
            _this.redPacket = redPacketParams; //接收events值
        });
    }
    //cordova platform remove android@~6.3.0(移除安卓)
    //cordova platform add android@~6.3.0(添加安卓)
    //cordova platform remove android@~4.5.4(移除苹果)
    //cordova platform add android@~4.5.4(移除苹果)
    //ionic cordova plugin add cordova-plugin-alipay-v2 --variable APP_ID=2018010301542768(添加插件（支付宝）)
    //ionic cordova plugin add cordova-plugin-wechat --variable wechatappid=wx9aeddea4a19ffc5e（微信支付）
    //ionic cordova plugin rm cordova-plugin-alipay-v2 0.0.3（移除插件）
    //ionic cordova build ios --release("打包")
    // 2.如果你是第一次配置环境变量，可以使用“touch .bash_profile” 创建一个.bash_profile的隐藏配置文件
    // (如果你是为编辑已存在的配置文件，则使用"open -e .bash_profile"命令)：
    //jdk路径  
    //（打包口令）;
    //吴高
    //小超人
    //小超人
    //四川省
    //成都市
    //610500
    //签名命令
    //jarsigner -verbose -sigalg SHA1withRSA -digestalg SHA1 -keystore my-release-key.keystore /Users/zhaojunjie/Desktop/caige/platforms/android/build/outputs/apk/android-release-unsigned.apk alias_name
    //keytool -list -keystore /Users/zhaojunjie/Desktop/caige/my-release-key.keystore (查看签名)
    //支付宝支付
    //支付订单获取
    SettlementPage.prototype.payOrder = function (orderId, type) {
        var _this = this;
        var oid = { form: {
                id: orderId
            }, 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_5__app_main__["AppConfig"].getProdUrl() + 'pay/pay', oid)
            .subscribe(function (res) {
            //进入支付
            if (type) {
                //支付宝支付
                _this.alipay(res.json().data.msg);
            }
            else {
                var data = res.json().data;
                var params = {
                    mch_id: data.partnerid,
                    prepay_id: data.prepayid,
                    nonce: data.noncestr,
                    timestamp: data.timestamp,
                    sign: data.sign,
                };
                //微信支付
                _this.wechatPay(params);
            }
        });
    };
    //支付宝支付
    SettlementPage.prototype.alipay = function (payInfo) {
        cordova.plugins.alipay.payment(payInfo, function success(e) {
            alert("支付成功！");
        }, function error(e) {
            alert("支付失败！");
        });
        this.navCtrl.popToRoot;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__order_order__["a" /* OrderPage */]);
    };
    //微信支付
    SettlementPage.prototype.wechatPay = function (payInfo) {
        cordova.plugins.Wechat.sendPaymentRequest(payInfo, function () {
            alert("支付成功！");
        }, function (reason) {
            alert("支付失败！");
        });
        this.navCtrl.popToRoot;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__order_order__["a" /* OrderPage */]);
    };
    SettlementPage.prototype.getValue = function (t) {
        this.paytypes = t.value;
    };
    SettlementPage.prototype.itemSelected = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__redPacket_redPacket__["a" /* RedPacketPage */]);
    };
    SettlementPage.prototype.submitOrder = function () {
        var _this = this;
        var data = { form: {
                paytype: this.paytypes,
                amount: (this.total - this.redPacket.amount) < 0 ? 0 : this.total - this.redPacket.amount,
                cid: this.redPacket.id,
                lists: JSON.stringify(this.lists)
            }, 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_5__app_main__["AppConfig"].getProdUrl() + 'order/add', data)
            .subscribe(function (res) {
            //订单id
            var id = res.json().data.id;
            if (res.json().code == 1) {
                //货到付款
                if (_this.paytypes == 4) {
                    var alert_1 = _this.alertCtrl.create({
                        title: '订单提交成功!',
                        subTitle: '请随时保持电话畅通，我们将尽快为您送达！',
                        buttons: [{
                                text: '确定',
                                role: 'ok',
                                handler: function (data) {
                                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__order_order__["a" /* OrderPage */]);
                                }
                            }]
                    });
                    alert_1.present();
                    // 支付宝支付
                }
                else if (_this.paytypes == 1) {
                    _this.payOrder(id, 1);
                    //微信支付
                }
                else if (_this.paytypes == 2) {
                    _this.payOrder(id, 0);
                }
            }
            else {
                var alert_2 = _this.alertCtrl.create({
                    title: '提示',
                    subTitle: res.json().msg,
                    buttons: ['确定']
                });
                alert_2.present();
            }
        });
    };
    SettlementPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-settlement',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/settlement/settlement.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      确认订单\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n    <div class="commodity">\n    <ul>\n      <li *ngFor = "let item of cartLists">\n        <h5 class="fontsize07 fColor999">货号{{item?.no}}</h5>\n            <h4 class="fontsize09 fColor333">{{item?.vegetable_title}}({{item?.goods_title}})</h4>\n          \n            <p> <span class="orange fontsize115">¥{{item?.price}}</span> <span class="fColor999 fontsize07">/每{{item?.unit}} {{item?.price_info}}</span> <span class="fontsize09 fColor666 paddingl8"\n            >x{{item?.subtotal}}</span><span class="orange fontsize145 right ml12">¥{{item?.price*100*item?.subtotal/100}}</span></p>\n      </li>\n    </ul>\n    </div>\n    \n      <div class="payment">\n        <ion-list>\n          <button ion-item (click)="itemSelected()" class="red_envelope">\n            使用您的红包 <span class="orange">({{redPacket?.amount}})</span>\n          </button>  \n        </ion-list>\n\n        <ion-list radio-group [(ngModel)]="paytypes">\n            <ion-list-header>选择支付方式</ion-list-header>\n            <ion-item>\n              <ion-label fixed>支付宝</ion-label>\n              <ion-radio value="1"></ion-radio>\n            </ion-item>\n            <ion-item>\n              <ion-label fixed>微信</ion-label>\n              <ion-radio value="2"></ion-radio>\n            </ion-item>\n            <ion-item>\n              <ion-label fixed>货到付款</ion-label>\n              <ion-radio value="4"></ion-radio>\n            </ion-item>\n          </ion-list>\n\n<!-- \n   <div class="payment_btn">\n      <p class="fontsize07 fColor000">选择支付方式</p>\n      <ion-radio checked="true" value="go">微信支付</ion-radio>\n      <a class="alipay_btn fontsize075 fColor333 left">微信支付</a>\n      <a class="cashondelivery_btn fontsize075 fColor333 left">支付宝</a>\n      <a class="cashondelivery_btn fontsize075 fColor333 left">货到付款</a>\n   </div>\n -->\n   </div> \n    <ion-fab>  \n      <div class="clearing">\n        <p> <span class="fColor333 fontsiznume105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共{{cartLists.length}}种)</span> <span class="orange fontsize155 left ml12">¥{{total.toFixed(2)-redPacket?.amount<0?0:total.toFixed(2)-redPacket?.amount}}</span></p>\n        <a class="clearing_btn fontsize105 fColorfff right" (click)="submitOrder()">提交订单</a>\n      </div>\n    </ion-fab> \n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/settlement/settlement.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */]])
    ], SettlementPage);
    return SettlementPage;
}());

//# sourceMappingURL=settlement.js.map

/***/ }),

/***/ 206:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__order_order__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var OrderDetailPage = (function () {
    function OrderDetailPage(navCtrl, http, params, alertCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.params = params;
        this.alertCtrl = alertCtrl;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.myAlert = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype.myAlert;
        this.userInfo = {
            address: '',
            mid: '',
            nickname: '',
            mobile: ''
        };
        this.getOrderDetail();
        this.userInfo.address = localStorage.getItem("address");
        this.userInfo.mid = localStorage.getItem("mid");
        this.userInfo.nickname = localStorage.getItem("nickname");
        this.userInfo.mobile = localStorage.getItem("mobile");
    }
    //支付订单获取
    OrderDetailPage.prototype.payOrder = function (orderId, type) {
        var _this = this;
        var oid = { form: {
                id: orderId
            }, 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'pay/pay', oid)
            .subscribe(function (res) {
            //进入支付
            if (type) {
                //支付宝支付
                _this.alipay(res.json().data.msg);
            }
            else {
                var data = res.json().data;
                var params = {
                    mch_id: data.partnerid,
                    prepay_id: data.prepayid,
                    nonce: data.noncestr,
                    timestamp: data.timestamp,
                    sign: data.sign,
                };
                //微信支付
                _this.wechatPay(params);
            }
        });
    };
    //支付宝支付
    OrderDetailPage.prototype.alipay = function (payInfo) {
        cordova.plugins.alipay.payment(payInfo, function success(e) {
            alert("支付成功！");
        }, function error(e) {
            alert("支付失败！");
        });
        this.navCtrl.popToRoot;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__order_order__["a" /* OrderPage */]);
    };
    //微信支付
    OrderDetailPage.prototype.wechatPay = function (payInfo) {
        cordova.plugins.Wechat.sendPaymentRequest(payInfo, function () {
            alert("支付成功！");
        }, function (reason) {
            alert("支付失败！");
        });
        this.navCtrl.popToRoot;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__order_order__["a" /* OrderPage */]);
    };
    OrderDetailPage.prototype.getOrderDetail = function () {
        var _this = this;
        var data = { form: { id: parseInt(this.params.data) }, 'token': this.token };
        //console.log(this.params.data);
        this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'order/show', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.orderInfo = res.json().data;
                _this.orderStatus = res.json().data.status;
                _this.goodsList = JSON.parse(res.json().data.data);
                var money = 0;
                for (var t in _this.goodsList) {
                    money += _this.goodsList[t].number * _this.goodsList[t].price;
                }
                _this.total = money;
                var timestamp3 = _this.orderInfo.create_time;
                var newDate = new Date();
                newDate.setTime(timestamp3 * 1000);
                var create_times = newDate.toLocaleString();
                _this.create_time = create_times;
                _this.logs = _this.orderInfo.log;
                for (var l in _this.logs) {
                    var types = _this.logs[l].type;
                    switch (types) {
                        case -1:
                            _this.myTypes = "删除时间";
                            break;
                        case 0:
                            _this.myTypes = "取消时间";
                            break;
                        case 1:
                            _this.myTypes = "完成时间";
                            break;
                        case 2:
                            _this.myTypes = "付款时间";
                            break;
                        case 3:
                            _this.myTypes = "下单时间";
                            break;
                        default:
                            // code...
                            break;
                    }
                }
                var paytypeId = res.json().data.paytype;
                switch (paytypeId) {
                    case 1:
                        _this.paytypes = "支付宝";
                        break;
                    case 2:
                        _this.paytypes = "微信支付";
                        break;
                    case 3:
                        _this.paytypes = "银联";
                        break;
                    case 4:
                        _this.paytypes = "货到付款";
                        break;
                    default:
                        // code...
                        break;
                }
            }
            else {
                console.log(res.json().msg);
            }
        });
    };
    OrderDetailPage.prototype.deletOrder = function (oid) {
        var _this = this;
        this.myAlert(0, "您确认要删除此订单吗？", function () {
            var data = { form: { id: parseInt(oid) }, 'token': _this.token };
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'order/del', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    console.log(res.json().msg);
                    _this.navCtrl.pop();
                }
                else {
                    console.log(res.json().msg);
                }
            });
        });
    };
    OrderDetailPage.prototype.gotoPay = function (oid) {
        switch (this.paytypes) {
            case "支付宝":
                this.payOrder(oid, 1);
                break;
            case "微信支付":
                this.payOrder(oid, 0);
                break;
            default:
                // code...
                break;
        }
    };
    OrderDetailPage.prototype.confirmOrder = function (oid) {
        var _this = this;
        this.myAlert(1, "您确认已经收到货了吗？", function () {
            var data = { form: { id: parseInt(oid) }, 'token': _this.token };
            _this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'order/complete', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    _this.navCtrl.pop();
                }
                else {
                    console.log(res.json().msg);
                }
            });
        });
    };
    OrderDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-orderDetail',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/orderDetail/orderDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      详情订单\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n    	\n     	<div class="header2back ">\n    	 	<a href="#" class="back">返回</a>\n   		 	<h1>订单详情</h1>\n     	</div>\n\n      <div class="deal_pic" *ngIf="orderStatus == 0">\n        <div class="text">\n          <span class="deal fColorfff fontsize105">订单已取消</span>\n          <br><span class="ps fColorfff fontsize075">(如有任何疑问，请联系菜哥客服)</span>\n        </div>\n        <img src="assets/imgs/failure_pic_transactionfailure@2x.png">\n      </div>\n\n      <div class="deal_pic" *ngIf="orderStatus == 3">\n        <div class="text">\n          <span class="deal fColorfff fontsize105">待付款</span>\n          <br><span class="ps fColorfff fontsize075">(45分钟内未付款，将自动取消订单)</span>\n        </div>\n        <img src="assets/imgs/wallet_pic_waitingforpayment@2x.png">\n      </div>\n\n     	<div class="deal_pic" *ngIf="orderStatus == 2">\n     		<div class="text">\n     			<span class="deal fColorfff fontsize105">配送中...</span>\n     			<br><span class="ps fColorfff fontsize075">(超过正常配送时间请联系菜哥客服)</span>\n     		</div>\n     		<img src="assets/imgs/truck_pic_dispatch@2x.png">\n     	</div>\n\n      <div class="deal_pic" *ngIf="orderStatus == 1">\n        <div class="text">\n          <span class="deal fColorfff fontsize105">交易成功</span>\n          <br><span class="ps fColorfff fontsize075">（如有任何疑问，请联系菜哥客服）</span>\n        </div>\n        <img src="assets/imgs/deal_pic_lineitem@2x.png">\n      </div>\n\n      <div class="deal_pic" *ngIf="orderStatus == -1">\n        <div class="text">\n          <span class="deal fColorfff fontsize105">订单已删除</span>\n          <br><span class="ps fColorfff fontsize075">(如有任何疑问，请联系菜哥客服)</span>\n        </div>\n        <img src="assets/imgs/failure_pic_transactionfailure@2x.png">\n      </div>\n\n\n		<div class="list">\n			<div class="orderid"><p>订单编号:<span>{{orderInfo?.no}}</span></p></div>\n			<div class="name">\n				<h3>收货地址:<span>{{userInfo.address}}</span></h3>\n			</div>\n			<div class="address">\n				<p><span class="fColor666 fontsize08 fontweightb">联系方式:</span><span class="fColor666 fontsize08 paddingl5">{{userInfo.mid}}</span><span class="fColor666 fontsize08 paddingl14">{{userInfo.mobile}}</span></p>\n			</div>\n			<div class="number">\n				<p class="fColor666 fontsize08 fontweightb left">留言:</p>\n				<span class="fColora7 fontsize08 left">无</span>\n				\n			</div>\n		</div>\n		<div class="payway fColor666 fontsize08">支付方式：{{paytypes}}</div>\n		<div class="commodity">\n		<ul>\n			<li *ngFor = "let item of goodsList">\n				<h5 class="fontsize07 fColor999">货号{{item?.no}}</h5>\n      			<h4 class="fontsize09 fColor333">{{item?.title}}</h4>\n     			\n      			<p> <span class="orange fontsize115">¥{{item?.price}}</span><span class="fontsize09 fColor666 paddingl8"\n      			>x{{item?.number}}</span><span class="orange fontsize145 right ml12">¥{{item?.price*item?.number}}</span></p>\n			</li>\n		</ul>\n		</div>\n		<div class="schedule fColor999 fontsize07">\n    <span>{{myTypes}}：{{create_time}}</span>\n		</div>\n\n  <div class="clearing"> \n  	<p> <span class="fColor333 fontsize105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共{{goodsList?.length}}种)</span> <span class="orange fontsize155 left ml12">¥{{total}}</span></p>\n    <a *ngIf="orderStatus == 0" class="clearing_btn fontsize105 fColorfff right" (click)="deletOrder(params.data)">删除订单</a>\n    <a *ngIf="orderStatus == 3" class="clearing_btn fontsize105 fColorfff right" (click)="gotoPay(params.data)">去支付</a>\n    <a *ngIf="orderStatus == 2" class="clearing_btn fontsize105 fColorfff right" (click)="confirmOrder(params.data)">确认收货</a>\n    <a *ngIf="orderStatus == 1||orderStatus == -1" class="clearing2_btn right fColorfff">订单完成</a>\n  </div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/orderDetail/orderDetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], OrderDetailPage);
    return OrderDetailPage;
}());

//# sourceMappingURL=orderDetail.js.map

/***/ }),

/***/ 207:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__listDetail_listDetail__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__search_search__ = __webpack_require__(208);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var ListPage = (function () {
    function ListPage(navCtrl, http, modalCtrl, loadingCtrl, events) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.modalCtrl = modalCtrl;
        this.loadingCtrl = loadingCtrl;
        this.events = events;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.pages = 1;
        this.list_rows = 10;
        this.appConfig = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype;
        this.cartLists = [];
        this.curs = true;
        this.onLoadData();
    }
    ListPage.prototype.presentLoading = function () {
        console.log(1);
        var loader = this.loadingCtrl.create({
            content: "加载中...",
            duration: 100
        });
        loader.present();
    };
    ListPage.prototype.ionViewWillEnter = function () {
        console.log(123);
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
    };
    ListPage.prototype.ionViewDidLoad = function () {
        this.checkList(0); // 默认加载全部
    };
    ListPage.prototype.publishEvents = function () {
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    ListPage.prototype.onLoadData = function () {
        var _this = this;
        console.log(2);
        //获取分类
        var data = { "token": this.token };
        this.http.post(this.severUrl + 'goods/getgroup', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.resData = res.json().data;
            }
        });
    };
    ListPage.prototype.gotoNavPage = function (goodsId) {
        //let goodsId:number;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__listDetail_listDetail__["a" /* ListDetailPage */], {
            goodsId: goodsId
        });
    };
    ListPage.prototype.gotoSearch = function () {
        //let goodsId:number;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__search_search__["a" /* SearchPage */]);
    };
    //下拉刷型界面
    // doRefresh(refresher){
    //     //当用户数量为3
    //     // if(this.users.length ==3){
    //     //     this.users = this.user2;
    //     // }else{
    //     //     this.users = this.default_data;
    //     // }
    //     setTimeout(() => { 
    //         console.log('加载完成后，关闭刷新'); 
    //         refresher.complete();
    //         //toast提示
    //         //this.showInfo("加载成功");
    //     }, 2000);
    // }
    ListPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
        this.pages++;
        //获取类别下的商品
        var data = { form: { "groupid": this.paramsnew, "list_rows": this.list_rows, "page": this.pages }, "token": this.token };
        this.http.post(this.severUrl + 'goods/lists', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.goodsnew = res.json().data;
                for (var g in _this.goodsnew) {
                    _this.goods.push(_this.goodsnew[g]);
                }
                for (var x in _this.goods) {
                    _this.goods[x]['add'] = true;
                }
                for (var d in _this.cartLists) {
                    for (var i in _this.goods) {
                        if (_this.cartLists[d]['id'] == _this.goods[i]['id']) {
                            _this.goods[i]['add'] = false;
                        }
                    }
                }
                infiniteScroll.complete();
            }
        });
        //      if (this.goods.length <= 0) {
        //  console.log(0);
        //  this.pages = 1;
        //        infiniteScroll.enable(false);   //没有数据的时候隐藏 ion-infinate-scroll
        // }
    };
    ListPage.prototype.checkList = function (params) {
        var _this = this;
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
        console.log(this.cartLists);
        this.goods = [];
        this.pages = 1;
        this.presentLoading();
        //变量初始化
        for (var c in this.goods) {
            this.goods.splice(0, c);
        }
        this.pages = 1;
        this.paramsnew = params;
        //this.curs = false;
        if (params == 0) {
            this.curs = true;
        }
        for (var s in this.resData) {
            this.resData[s]["cur"] = false;
            if (this.resData[s]["id"] == params) {
                this.resData[s]["cur"] = true;
                this.curs = false;
            }
        }
        //获取类别下的商品
        var data = { form: { "groupid": params, "list_rows": this.list_rows, "page": this.pages }, "token": this.token };
        this.http.post(this.severUrl + 'goods/lists', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.goods = res.json().data;
                for (var x in _this.goods) {
                    _this.goods[x]['add'] = true;
                }
                for (var d in _this.cartLists) {
                    for (var i in _this.goods) {
                        if (_this.cartLists[d]['id'] == _this.goods[i]['id']) {
                            _this.goods[i]['add'] = false;
                        }
                    }
                }
            }
        });
    };
    ListPage.prototype.addInCart = function (cur, params) {
        if (cur === 0) {
            for (var i in this.goods) {
                if (this.goods[i].id == params) {
                    this.goods[i]['add'] = false;
                    this.cartLists.push(this.goods[i]);
                    __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(this.cartLists);
                    this.publishEvents();
                }
            }
        }
        else if (cur === 1) {
            for (var i in this.goods) {
                if (this.goods[i].id == params) {
                    this.goods[i]['add'] = true;
                    for (var s in this.cartLists) {
                        if (this.cartLists[s]['id'] == this.goods[i]['id']) {
                            var c = parseInt(s);
                            this.cartLists.splice(c, 1);
                        }
                    }
                    __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(this.cartLists);
                    this.publishEvents();
                }
            }
        }
    };
    ListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-list',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/list/list.html"*/'<ion-header> \n  <ion-navbar>\n    <ion-title>\n       选菜\n    </ion-title>\n	<ion-buttons end>\n	<button ion-button (click)="gotoSearch()">搜索</button>\n	</ion-buttons>\n  </ion-navbar> \n</ion-header>\n\n<ion-content>\n	<div class="main">\n			<ion-fab>\n				<ul class="vegetable_tab">\n					<li [ngClass]="{\'cur\': curs}" (click)="checkList(0)">全部分类</li>\n					<li *ngFor = "let item of resData" [ngClass]="{\'cur\': item?.cur }" (click)="checkList(item?.id)">{{item?.title}}</li>\n				</ul>\n			</ion-fab>\n			<ul class="vegetable_list">\n\n				<!-- <ion-refresher (ionRefresh)="doRefresh($event)"> \n				       <ion-refresher-content\n				           pullingIcon="arrow-dropdown"\n				           pullingText="下拉刷新"\n				           refreshingSpinner="circles"\n				           refreshingText="刷新..."> \n				       </ion-refresher-content>\n				</ion-refresher> -->\n\n   				<li *ngFor = "let item of goods">\n					<div  (click)="gotoNavPage(item?.id)">\n						<div class="good">\n							<h4>货号：{{item?.no}}</h4>\n							<img [src]="severUrl+item?.image" width="90px" height="55px" alt=""/>\n						</div>\n						<div class="price">\n							<h5>{{item?.vegetable_title}}（{{item?.goods_title}}）</h5>\n							<p><span>¥{{item?.price}}</span>/每{{item?.unit}}</p>\n						</div>\n					</div>\n				   <a herf="#" class="add" *ngIf="item?.add == true" (click)="addInCart(0,item?.id)"></a>\n				   <a herf="#" class="added" *ngIf="item?.add == false" (click)="addInCart(1,item?.id)"></a>\n				</li>\n\n				<ion-infinite-scroll (ionInfinite)="doInfinite($event)" threshold="100px">\n					<ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="正在加载更多...">\n					</ion-infinite-scroll-content>\n				</ion-infinite-scroll>\n\n		</ul>\n\n\n	</div>\n</ion-content>\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/list/list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */]])
    ], ListPage);
    return ListPage;
}());

//# sourceMappingURL=list.js.map

/***/ }),

/***/ 208:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SearchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__cart_cart__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__listDetail_listDetail__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SearchPage = (function () {
    function SearchPage(navCtrl, http, events, alertCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.events = events;
        this.alertCtrl = alertCtrl;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.myFavoriteId = [];
        this.myFavorite = [];
        this.searchData = [];
        this.searchDataNum = 0;
        this.addFavorite = true;
        this.appConfig = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype;
        this.myAlert = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype.myAlert;
        this.cartLists = [];
        //this.cartLists = AppConfig.getCartData();
    }
    SearchPage.prototype.publishEvents = function () {
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    SearchPage.prototype.ionViewWillEnter = function () {
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
    };
    SearchPage.prototype.search = function (keywords) {
        var _this = this;
        var data = { form: { "keywords": keywords.value }, 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'goods/search', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                var searchDatas_1 = res.json().data;
                var data_1 = { 'token': _this.token };
                _this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'user/info', data_1)
                    .subscribe(function (res) {
                    if (res.json().code == 1) {
                        var str = res.json().data.favorite;
                        _this.myFavoriteId = str.split(","); //取值返回为数组供下面比较用
                        for (var t in searchDatas_1) {
                            searchDatas_1[t]["favorite"] = true;
                            for (var s in _this.myFavoriteId) {
                                if (parseInt(_this.myFavoriteId[s]) == searchDatas_1[t]["id"]) {
                                    searchDatas_1[t]["favorite"] = false;
                                }
                            }
                        }
                        localStorage.setItem("favorite", str);
                        _this.searchData = searchDatas_1;
                        _this.searchDataNum = _this.searchData.length;
                    }
                });
            }
        });
    };
    SearchPage.prototype.setFavorite = function (ids, params) {
        var _this = this;
        //设为收藏
        if (params == 1) {
            var id_1 = localStorage.getItem("favorite") + ',' + ids;
            var data = { form: { 'key': 'favorite', 'value': id_1 }, 'token': this.token };
            this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'user/setInfo', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    localStorage.setItem("favorite", id_1);
                    for (var f in _this.searchData) {
                        if (_this.searchData[f]["id"] == ids) {
                            _this.searchData[f]["favorite"] = false;
                        }
                    }
                }
            });
            //取消收藏
        }
        else if (params == 0) {
            var str = localStorage.getItem("favorite");
            this.myFavoriteId = str.split(","); //字符串转化为数组
            for (var m in this.myFavoriteId) {
                if (this.myFavoriteId[m] == ids) {
                    var c = parseInt(m);
                    this.myFavoriteId.splice(c, 1);
                }
            }
            var id_2 = this.myFavoriteId.join(','); //数组转为字符串
            var data = { form: { 'key': 'favorite', 'value': id_2 }, 'token': this.token };
            this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'user/setInfo', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    localStorage.setItem("favorite", id_2);
                    for (var n in _this.searchData) {
                        if (_this.searchData[n]["id"] == ids) {
                            _this.searchData[n]["favorite"] = true;
                        }
                    }
                }
            });
        }
    };
    SearchPage.prototype.addInCart = function (cur, params) {
        if (cur === 0) {
            for (var i in this.searchData) {
                if (this.searchData[i].id == params) {
                    this.searchData[i]['add'] = false;
                    this.cartLists.push(this.searchData[i]);
                    for (var t in this.cartLists) {
                        this.cartLists[t]['subtotal'] = this.cartLists[t].amount_min;
                    }
                    __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(this.cartLists);
                    this.publishEvents();
                }
            }
        }
        else if (cur === 1) {
            for (var i in this.searchData) {
                if (this.searchData[i].id == params) {
                    this.searchData[i]['add'] = true;
                    for (var s in this.cartLists) {
                        if (this.cartLists[s]['id'] == this.searchData[i]['id']) {
                            var c = parseInt(s);
                            this.cartLists.splice(c, 1);
                        }
                    }
                    __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(this.cartLists);
                    this.publishEvents();
                }
            }
        }
    };
    SearchPage.prototype.gotoNavPage = function (goodsId) {
        //let goodsId:number;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__listDetail_listDetail__["a" /* ListDetailPage */], {
            goodsId: goodsId
        });
    };
    SearchPage.prototype.gotoCart = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__cart_cart__["a" /* CartPage */]);
    };
    SearchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-search',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/search/search.html"*/'<!--\n  Generated template for the SearchPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>搜索</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n	<ion-content>\n\n	    <input type="text" placeholder="请输入商品名称" class="searchInput" #keywords>\n		<a class="searchBtn" (click)="search(keywords)">搜索</a>\n		<p class="tips">共为您找到<span>{{searchDataNum}}</span>个有关<span>{{keywords.value}}</span>的结果</p>\n\n	<div class="favoritelist" *ngIf="searchData.length != 0">\n		<ul>\n			<li *ngFor = "let item of searchData">\n					<a href="#" class="collection" *ngIf="item?.favorite==true" (click)="setFavorite(item?.id,1)">收藏</a>\n					<a href="#" class="unCollection" *ngIf="item?.favorite==false" (click)="setFavorite(item?.id,0)">已收藏</a>\n				    <img [src]= "severUrl+item?.image" (click)="gotoNavPage(item?.id)">   \n				    <div class="price">\n						<h5>{{item?.vegetable_title}}（{{item?.goods_title}}）</h5>\n						<p><span>¥{{item?.price}}</span>/每{{item?.unit}}</p>\n				    </div>\n					<div class="add_btn">\n						<h5 class="fontsize07 fColor999 right">货号{{item?.no}}</h5>\n						<a *ngIf="item?.add==true" (click)="addInCart(0,item?.id)"><img src="assets/imgs/icon_add_nor@2x.png"></a>\n						<a *ngIf="item?.add==false" (click)="addInCart(1,item?.id)"><img src="assets/imgs/icon_minus_nor@2x.png"></a>\n					</div>\n			</li>\n		</ul>\n		<!-- <div class="soldout_btn">\n			<p class="fontsize08 orange">取消收藏已下架菜品</p>\n		</div> -->\n\n 	</div>\n 	<ion-fab>\n		<ion-cart></ion-cart>\n	</ion-fab>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/search/search.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SearchPage);
    return SearchPage;
}());

//# sourceMappingURL=search.js.map

/***/ }),

/***/ 209:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__order_order__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__favorite_favorite__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__redPacket_redPacket__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__message_message__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__listDetail_listDetail__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var HomePage = (function () {
    function HomePage(navCtrl, http, events, loadingCtrl, alertCtrl, toastCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.events = events;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.toastCtrl = toastCtrl;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.myAlert = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype.myAlert;
        this.quicklistId = [];
        this.cartLists = [];
        this.ar = [];
    }
    HomePage.prototype.publishEvents = function () {
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    HomePage.prototype.ionViewDidLoad = function () {
        this.presentLoading();
    };
    HomePage.prototype.presentLoading = function () {
        var loader = this.loadingCtrl.create({
            content: "",
            duration: 1
        });
        loader.present();
    };
    HomePage.prototype.presentToast = function (msg) {
        var toast = this.toastCtrl.create({
            message: msg,
            duration: 3000
        });
        toast.present();
    };
    HomePage.prototype.ionViewWillEnter = function () {
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
        this.getSeverTime();
        this.onLoadData(); //激活首页初始化数据
    };
    HomePage.prototype.getSeverTime = function () {
        var _this = this;
        var data = { "token": this.token };
        this.http.post(this.severUrl + 'system/time', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //console.log(res.json().msg);
                var timestamp3 = res.json().time;
                var newDate = new Date();
                newDate.setTime(timestamp3 * 1000);
                _this.severTime = newDate.toTimeString();
                //console.log(timestamp3);
                var current_1 = _this.severTime.split(":")[0];
                _this.http.post(_this.severUrl + 'system/down_order_time', data)
                    .subscribe(function (res) {
                    if (res.json().code == 1) {
                        _this.ar = [res.json().data[0], res.json().data[1]];
                        var beginTime = parseInt(_this.ar[0]);
                        var endTime = parseInt(_this.ar[1]) * 60;
                        if (current_1 >= beginTime && current_1 <= endTime) {
                            _this.times = true;
                        }
                        else {
                            _this.times = false;
                        }
                    }
                });
            }
            else if (res.json().code == 101) {
                _this.myAlert(1, "网络连接失败，需要重新登录！", function () {
                    localStorage.removeItem("token");
                    window.location.reload();
                });
            }
        });
    };
    //获取首页数据
    HomePage.prototype.onLoadData = function () {
        var _this = this;
        //获取Banner1
        //this.listData1 = AppConfig.posts('ad/show','{form:{"id":1},"token":this.token}');
        var data1 = { form: { "id": 1 }, "token": this.token };
        this.http.post(this.severUrl + 'ad/show', data1)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.listData1 = res.json().data;
            }
        });
        //获取首页通栏1
        var data2 = { form: { "id": 2 }, "token": this.token };
        this.http.post(this.severUrl + 'ad/show', data2)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.listData2 = res.json().data;
            }
        });
        //获取首页通栏2
        var data3 = { form: { "id": 3 }, "token": this.token };
        this.http.post(this.severUrl + 'ad/show', data3)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //console.log(res.json().data)
                _this.listData3 = res.json().data;
            }
        });
        //获取菜哥推荐
        var data4 = { form: { "position": 1 }, "token": this.token };
        this.http.post(this.severUrl + 'goods/lists', data4)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.listData4 = res.json().data;
            }
        });
        //获取今日促销
        var data5 = { form: { "position": 2 }, "token": this.token };
        this.http.post(this.severUrl + 'goods/lists', data5)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.listData5 = res.json().data;
            }
        });
    };
    HomePage.prototype.quicklyList = function () {
        var _this = this;
        var data = { 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'user/info', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                var str = res.json().data.quicklist;
                _this.quicklistId = str.split(","); //取值返回为数组供下面比较用
                if (str !== "") {
                    var data2 = { form: { "ids": str }, 'token': _this.token };
                    _this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'goods/listsByid', data2)
                        .subscribe(function (res) {
                        if (res.json().code == 1) {
                            _this.quicklist = res.json().data;
                            for (var q in _this.quicklist) {
                                _this.quicklist[q].subtotal = _this.quicklist[q].amount_min;
                            }
                            _this.cartLists = _this.quicklist;
                            for (var i in _this.quicklist) {
                                _this.quicklist[i]['add'] = true;
                                for (var s in _this.cartLists) {
                                    if (_this.cartLists[s]['id'] == _this.quicklist[i]['id']) {
                                        _this.quicklist[i]['add'] = false;
                                    }
                                }
                            }
                            __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].myCartData(_this.cartLists);
                            _this.publishEvents();
                            _this.presentToast("已成功放置到采购车了！");
                        }
                    });
                }
                else {
                    _this.presentToast("一键下单里没有商品！需先到采购车去设置！");
                }
            }
        });
        //   let id = localStorage.getItem("quicklist");
        //   console.log(id);
        //   let data = {form:{'key':'quicklist','value':id},'token':this.token};
        //     this.http.post(AppConfig.getProdUrl()+'user/setInfo',data)
        //       .subscribe((res: Response) => {
        //       if(res.json().code == 1){
        //       console.log(res.json());
        //     }
        // })
    };
    HomePage.prototype.gotoNavPage = function (targetPage, goodsId) {
        //let goodsId:number;
        switch (targetPage) {
            case "MessagePage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__message_message__["a" /* MessagePage */]);
                break;
            case "FavoritePage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__favorite_favorite__["a" /* FavoritePage */]);
                break;
            case "RedPacketPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__redPacket_redPacket__["a" /* RedPacketPage */]);
                break;
            case "OrderPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__order_order__["a" /* OrderPage */]);
                break;
            case "ListDetailPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__listDetail_listDetail__["a" /* ListDetailPage */], {
                    goodsId: goodsId
                });
                break;
            default:
                // code...
                break;
        }
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/home/home.html"*/'<ion-header> \n  <ion-navbar>\n    <ion-title>首页</ion-title>\n    <ion-buttons end>\n      <button ion-button (click)="quicklyList()">一键下单</button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <div class="reminder" *ngIf = "times == false">公告：下单时间为每日早上{{ar[0]}}点-{{ar[1]}}点</div> \n  <ion-slides pager class="banner">\n    <ion-slide *ngFor = "let item of listData1"><img [src]= "severUrl+item?.image"></ion-slide>\n  </ion-slides>\n   <div class="four_button">\n    <a href="#" class="choose_menu" (click)="gotoNavPage(\'MessagePage\')" icon-start>我的消息</a>\n    <a href="#" class="collection" (click)="gotoNavPage(\'FavoritePage\')" icon-start>我的收藏</a>\n    <a href="#" class="red_envelope" (click)="gotoNavPage(\'RedPacketPage\')" icon-start>我的红包</a>\n    <a href="#" class="my_orders" (click)="gotoNavPage(\'OrderPage\')" icon-start>我的订单</a>\n  </div>\n  <div id="recommend">\n      <h2>菜哥推荐</h2>\n    <div *ngFor = "let item of listData2"><img [src]= "severUrl+item?.image"></div>\n    <ul>\n      <a *ngFor = "let item of listData4" (click)="gotoNavPage(\'ListDetailPage\',item?.id)" icon-start>\n        <li>\n          <h4>货号：{{item?.no}}</h4>\n          <img [src]= "severUrl+item?.image">\n          <h3>{{item?.vegetable_title}}({{item?.goods_title}})</h3>\n          <p>\n            <span>¥{{item?.price}}</span>/每{{item?.unit}}\n          </p>\n        </li>\n      </a>\n\n    </ul>\n  </div>\n  <div class="promotion">\n    <h2>今日促销</h2>\n    <div *ngFor = "let item of listData3"><img [src]= "severUrl+item?.image"></div>\n    <ul>\n      <a *ngFor = "let item of listData5" (click)="gotoNavPage(\'ListDetailPage\',item?.id)" icon-start>\n        <li>\n          <h4>货号：{{item?.no}}</h4>\n          <img [src]= "severUrl+item?.image">\n          <h3>{{item?.vegetable_title}}({{item?.goods_title}})</h3>\n          <p>\n            <span>¥{{item?.price}}</span>/每{{item?.unit}}\n          </p>\n        </li>\n      </a>\n    </ul>\n  </div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/home/home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 210:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MessageDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var MessageDetailPage = (function () {
    function MessageDetailPage(navCtrl, http, params) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.http = http;
        this.params = params;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        var data = { form: { id: this.params.data }, "token": this.token };
        this.http.post(this.severUrl + 'message/show', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.message = res.json().data;
                var timestamp3 = res.json().data.create_time;
                var newDate = new Date();
                newDate.setTime(timestamp3 * 1000);
                _this.create_times = newDate.toLocaleString();
            }
        });
    }
    MessageDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-messageDetail',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/messageDetail/messageDetail.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      消息详情\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n  <div class="content">\n    <img src="assets/imgs/mine_icon_round_nor.png" width="9" height="9" alt="" *ngIf="message?.status==0"/>\n    <h2>{{message?.title}}</h2>\n      <p>{{message?.content}}</p>\n    <br><h5>{{create_times}}</h5>\n  </div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/messageDetail/messageDetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], MessageDetailPage);
    return MessageDetailPage;
}());

//# sourceMappingURL=messageDetail.js.map

/***/ }),

/***/ 211:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MinePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__order_order__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__favorite_favorite__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__redPacket_redPacket__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__setting_setting__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__message_message__ = __webpack_require__(108);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



//import { AboutPage } from '../about/about';




var MinePage = (function () {
    function MinePage(navCtrl) {
        this.navCtrl = navCtrl;
        this.userInfo = {
            address: '',
            mid: '',
            nickname: '',
            mobile: ''
        };
        this.userInfo.address = localStorage.getItem("address");
        this.userInfo.mid = localStorage.getItem("mid");
        this.userInfo.nickname = localStorage.getItem("nickname");
        this.userInfo.mobile = localStorage.getItem("mobile");
    }
    MinePage.prototype.gotoMessage = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__message_message__["a" /* MessagePage */]);
    };
    MinePage.prototype.gotoNavPage = function (targetPage) {
        switch (targetPage) {
            case "OrderPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__order_order__["a" /* OrderPage */]);
                break;
            case "RedPacketPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__redPacket_redPacket__["a" /* RedPacketPage */]);
                break;
            case "FavoritePage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__favorite_favorite__["a" /* FavoritePage */]);
                break;
            case "SettingPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__setting_setting__["a" /* SettingPage */]);
                break;
            default:
                // code...
                break;
        }
    };
    MinePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-mine',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/mine/mine.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      我的\n    </ion-title>\n      <ion-buttons end>\n        <button ion-button (click)="gotoMessage()">\n          <span>消息</span>\n          <!-- <ion-badge color="secondary">1</ion-badge> -->\n        </button>\n      </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n      <div class="information">\n        <div></div>\n      <ul class="informations">\n          <li class="n">{{userInfo.nickname}}</li>\n          <li class="p">{{userInfo.mobile}}</li>\n          <li class="d">{{userInfo.address}} {{userInfo.mid}}</li>\n        </ul>\n      </div>\n      <div class="content1">\n        <a href="#" class="suggestion" (click)="gotoNavPage(\'OrderPage\')" icon-start>\n          <div class="suggestion2">我的订单\n                <div class="o"></div>\n          </div>\n        </a>\n        <a href="#" class="suggestion" (click)="gotoNavPage(\'FavoritePage\')" icon-start>\n          <div class="suggestion2">我的收藏\n            <div class="p"></div>\n          </div>\n        </a>\n        <a href="#" class="suggestion" (click)="gotoNavPage(\'RedPacketPage\')" icon-start>\n          <div class="suggestion2">我的红包\n            <div class="r"></div>\n          </div>\n        </a>\n      </div>\n      <div class="content2">\n        <a href="#" class="suggestion" (click)="gotoNavPage(\'SettingPage\')" icon-start>\n        <div class="suggestion2">设置\n              <div class="s"></div>\n            </div>\n        </a>\n        <a href="tel:13618091132" class="suggestion">\n          <div class="suggestion2">客服热线\n            <div class="ph"></div>\n          </div>\n        </a>\n      </div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/mine/mine.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */]])
    ], MinePage);
    return MinePage;
}());

//# sourceMappingURL=mine.js.map

/***/ }),

/***/ 212:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettingPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__modefyPassword_modefyPassword__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__feedback_feedback__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__about_about__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__login_login__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SettingPage = (function () {
    function SettingPage(navCtrl, http, alertCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.alertCtrl = alertCtrl;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.myAlert = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype.myAlert; //获取token
    }
    SettingPage.prototype.gotoNavPage = function (targetPage) {
        switch (targetPage) {
            case "ModefyPasswordPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__modefyPassword_modefyPassword__["a" /* ModefyPasswordPage */]);
                break;
            case "FeedbackPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__feedback_feedback__["a" /* FeedbackPage */]);
                break;
            case "AboutPage":
                this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__about_about__["a" /* AboutPage */]);
                break;
            default:
                // code...
                break;
        }
    };
    SettingPage.prototype.logOut = function () {
        var _this = this;
        var data = { "token": this.token };
        this.http.post(this.severUrl + 'user/logout', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.myAlert(0, "您确定要退出登录吗？", function () {
                    localStorage.removeItem('token');
                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__login_login__["a" /* LoginPage */]);
                });
            }
        });
    };
    SettingPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-setting',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/setting/setting.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      设置\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n     	<a href="#" class="password" (click)="gotoNavPage(\'ModefyPasswordPage\')" icon-start>\n     		<div class="password2">修改密码\n     		<img src="assets/imgs/common_icon_next_nor.png" width="9" height="15" alt=""/>\n     		</div>\n     	</a>\n     	<a href="#" class="suggestion" (click)="gotoNavPage(\'FeedbackPage\')" icon-start>\n     		<div class="suggestion2">意见反馈\n     		<img src="assets/imgs/common_icon_next_nor.png" width="9" height="15" alt=""/>\n     		</div>\n     	</a>\n     	<a href="#" class="about" (click)="gotoNavPage(\'AboutPage\')" icon-start>\n     		<div class="about2">关于我们\n     		<img src="assets/imgs/common_icon_next_nor.png" width="9" height="15" alt=""/>\n     		</div>\n     	</a>\n	    <ul class="loginfrom">\n			<li class="sub">\n				<input type="submit" (click)="logOut()" value="退出登录" />        \n			</li>\n		</ul>\n		<h6>菜哥 v1.0.0</h6>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/setting/setting.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SettingPage);
    return SettingPage;
}());

//# sourceMappingURL=setting.js.map

/***/ }),

/***/ 213:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SetPasswordPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var SetPasswordPage = (function () {
    function SetPasswordPage(navCtrl, http, alertCtrl, params, toastCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.params = params;
        this.toastCtrl = toastCtrl;
        // 接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.myAlert = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype.myAlert; //获取token
        this.isShow = true;
        this.tel = this.params.data.tel;
        this.disabled = true;
        this.sec = 60;
        console.log(this.params.data.tel);
    }
    SetPasswordPage.prototype.presentToast = function (msg) {
        var toast = this.toastCtrl.create({
            message: msg,
            duration: 3000
        });
        toast.present();
    };
    SetPasswordPage.prototype.getVer = function (tels) {
        var _this = this;
        var that = this;
        var data = { form: { "step": 1, "tel": tels.value } };
        this.http.post(this.severUrl + 'user/repassword', data)
            .subscribe(function (res) {
            console.log(res);
            if (res.json().code == 1) {
                _this.presentToast(res.json().msg);
                that.isShow = false;
                that.disabled = false;
                var time = 60;
                var times = setInterval(function () {
                    if (time == 1) {
                        clearInterval(times);
                        time = 60;
                        that.isShow = true;
                        that.disabled = true;
                        that.sec = time;
                        return;
                    }
                    time--;
                    that.isShow = false;
                    that.disabled = false;
                    that.sec = time;
                    console.log(that.sec);
                }, 1000);
            }
            else {
                _this.presentToast(res.json().msg);
                clearInterval(times);
                that.isShow = true;
                that.disabled = true;
                that.sec = time;
            }
        });
    };
    SetPasswordPage.prototype.setPassWord = function (tels, ver, pass) {
        var _this = this;
        var data = { form: { "step": 2, "tel": tels.value, "captcha": ver.value, "password": pass.value } };
        console.log(data);
        this.http.post(this.severUrl + 'user/repassword', data)
            .subscribe(function (res) {
            console.log(res);
            if (res.json().code == 1) {
                _this.navCtrl.pop();
            }
            else {
                _this.presentToast(res.json().msg);
            }
        });
    };
    SetPasswordPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-setPassword',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/setPassword/setPassword.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      忘记密码\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<form class=\'getcode\'>\n	  <div class=\'block\'>\n	    <span class=\'left\'>手机号:</span><input type=\'text\' name="mobile" placeholder="请输入手机号" value="{{tel}}" #tels/>\n	  </div>\n	  <div class=\'block\'>\n	    <span class=\'left\'>验证码:</span><input name="code" placeholder="请先获取验证码" #ver/>\n	    <span class=\'vercodeBtn\' (click)="getVer(tels)" *ngIf="isShow==true">获取验证码</span>\n	    <span class=\'vercodeBtnhui\' *ngIf="isShow==false">({{sec}}S)后获取</span>\n	  </div>\n	  <div class=\'block\'>\n	    <span class=\'left\'>密 码:</span><input type=\'password\' name="mobile" placeholder="请输入新密码" value=\'\' #pass/>\n	  </div>\n	<input type="submit" class="mt40" value="提交" ion-button block color="#39d158" (click)="setPassWord(tels,ver,pass)" />        \n	</form>\n	\n</ion-content> \n\n\n\n\n\n\n\n\n\n\n\n\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/setPassword/setPassword.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */]])
    ], SetPasswordPage);
    return SetPasswordPage;
}());

//# sourceMappingURL=setPassword.js.map

/***/ }),

/***/ 214:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return FeedbackPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var FeedbackPage = (function () {
    function FeedbackPage(navCtrl, http) {
        this.navCtrl = navCtrl;
        this.http = http;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
    }
    FeedbackPage.prototype.feedback = function (content) {
        var _this = this;
        var data = { form: { "content": content.value }, "token": this.token };
        this.http.post(this.severUrl + 'guestbook/add', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                alert(res.json().msg);
                _this.navCtrl.pop();
            }
            else {
                alert(res.json().msg);
                _this.navCtrl.pop();
            }
        });
    };
    FeedbackPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-feedback',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/feedback/feedback.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      意见反馈\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n     	<div class="content">\n     		<form>\n     			<textarea class="suggestbar"  style="border-bottom: 1px solid #e5e5e5 ;border-top:0px solid;border-left: 0px solid;border-right: 0px solid"  heigth="160px" #content>您提出的意见，我们都认真倾听\n     			</textarea>\n     		</form>\n     		<!-- <div class="name">万达广场.3号商铺</div> -->\n     	</div>\n	    <ul class="loginfrom">\n			<li class="sub">\n				<input type="submit"  value="提交" (click)="feedback(content)">        \n			</li>\n		</ul>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/feedback/feedback.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
    ], FeedbackPage);
    return FeedbackPage;
}());

//# sourceMappingURL=feedback.js.map

/***/ }),

/***/ 215:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AboutPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var AboutPage = (function () {
    function AboutPage(navCtrl) {
        this.navCtrl = navCtrl;
    }
    AboutPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-about',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/about/about.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      关于\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<img src="assets/imgs/about_icon_logo_nor@2x.png" width="61" height="61" alt="" class="iocn_img"/>\n	<h1 class="tittle">菜哥出品，必出精品</h1>\n		<p> 菜哥app基于菜哥蔬菜批发商场，是互联网端的一款进货购买软件，可以帮助用户能够高效快捷的完成进货、购买自己所需的蔬菜。</p>\n		<p>菜哥的每一位员工都秉承着用心服务，健康生活的信念和全心为客户服务的宗旨，努力、认真地为大众服务。</p>\n		<div class="logo">\n			<h3>V1.0.0</h3>\n			<h3 class="phone">客服热线：400-820-8820</h3>\n		</div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/about/about.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */]])
    ], AboutPage);
    return AboutPage;
}());

//# sourceMappingURL=about.js.map

/***/ }),

/***/ 239:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_component__ = __webpack_require__(282);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__components_ion_cart_ion_cart__ = __webpack_require__(291);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_login_login__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_about_about__ = __webpack_require__(215);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_favorite_favorite__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_order_order__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_orderDetail_orderDetail__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_redPacket_redPacket__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_setting_setting__ = __webpack_require__(212);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_feedback_feedback__ = __webpack_require__(214);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_checkMobile_checkMobile__ = __webpack_require__(292);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_modefyPassword_modefyPassword__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_message_message__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_messageDetail_messageDetail__ = __webpack_require__(210);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_settlement_settlement__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_pay_pay__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_search_search__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_setPassword_setPassword__ = __webpack_require__(213);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_mine_mine__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__pages_list_list__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_listDetail_listDetail__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_cart_cart__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_home_home__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_tabs_tabs__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__ionic_native_status_bar__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__ionic_native_splash_screen__ = __webpack_require__(204);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




 //由根组件导出，这里根模块引入
 //如果是组件，要在这里先导入
























var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_5__components_ion_cart_ion_cart__["a" /* IonCartComponent */],
                __WEBPACK_IMPORTED_MODULE_6__pages_login_login__["a" /* LoginPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_about_about__["a" /* AboutPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_favorite_favorite__["a" /* FavoritePage */],
                __WEBPACK_IMPORTED_MODULE_9__pages_order_order__["a" /* OrderPage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_orderDetail_orderDetail__["a" /* OrderDetailPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_redPacket_redPacket__["a" /* RedPacketPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_setting_setting__["a" /* SettingPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_feedback_feedback__["a" /* FeedbackPage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_checkMobile_checkMobile__["a" /* CheckMobilePage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_modefyPassword_modefyPassword__["a" /* ModefyPasswordPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_message_message__["a" /* MessagePage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_messageDetail_messageDetail__["a" /* MessageDetailPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_settlement_settlement__["a" /* SettlementPage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_pay_pay__["a" /* PayPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_mine_mine__["a" /* MinePage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_list_list__["a" /* ListPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_listDetail_listDetail__["a" /* ListDetailPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_cart_cart__["a" /* CartPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_search_search__["a" /* SearchPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_setPassword_setPassword__["a" /* SetPasswordPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_2__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["g" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */], {
                    tabsHideOnSubPages: 'true',
                    mode: 'ios',
                    backButtonText: "返回",
                }, {
                    links: []
                })
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["e" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_4__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_login_login__["a" /* LoginPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_about_about__["a" /* AboutPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_favorite_favorite__["a" /* FavoritePage */],
                __WEBPACK_IMPORTED_MODULE_9__pages_order_order__["a" /* OrderPage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_orderDetail_orderDetail__["a" /* OrderDetailPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_redPacket_redPacket__["a" /* RedPacketPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_setting_setting__["a" /* SettingPage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_checkMobile_checkMobile__["a" /* CheckMobilePage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_modefyPassword_modefyPassword__["a" /* ModefyPasswordPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_message_message__["a" /* MessagePage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_messageDetail_messageDetail__["a" /* MessageDetailPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_settlement_settlement__["a" /* SettlementPage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_pay_pay__["a" /* PayPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_feedback_feedback__["a" /* FeedbackPage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_mine_mine__["a" /* MinePage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_list_list__["a" /* ListPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_listDetail_listDetail__["a" /* ListDetailPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_cart_cart__["a" /* CartPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_tabs_tabs__["a" /* TabsPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_search_search__["a" /* SearchPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_setPassword_setPassword__["a" /* SetPasswordPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_28__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_29__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["f" /* IonicErrorHandler */] }
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 282:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(204);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_login_login__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




//import { ComponentsModule } from '../components/components.module';


//import { MessagePage } from '../pages/message/message';
var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen) {
        if (localStorage.getItem("token")) {
            this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__["a" /* TabsPage */];
        }
        else if (localStorage.getItem("token") == '') {
            this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */];
        }
        else {
            this.rootPage = __WEBPACK_IMPORTED_MODULE_5__pages_login_login__["a" /* LoginPage */];
        }
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            statusBar.styleDefault();
            splashScreen.hide();
        });
        // this.severUrlTest = 'http://api.caige.appux.cnn/';        //服务器地址
        // this.token = localStorage.getItem('token');               //获取token
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/app/app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/app/app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 291:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IonCartComponent; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__pages_cart_cart__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




/**
 * Generated class for the IonCartComponent component.
 *
 * See https://angular.io/api/core/Component for more info on Angular
 * Components.
 */
var IonCartComponent = (function () {
    function IonCartComponent(navCtrl, modalCtrl) {
        this.navCtrl = navCtrl;
        this.modalCtrl = modalCtrl;
        this.appConfig = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].prototype;
        this.cartLists = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getCartData();
        console.log(this.navCtrl.goToRoot);
    }
    IonCartComponent.prototype.gotoCart = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__pages_cart_cart__["a" /* CartPage */], { "type": 1 });
        //  gotoCart(){
        //  	let ram = this
        // ram.navCtrl.push(CartPage);
        //  //从下面弹起来的方式
        //  // 	let modal = this.modalCtrl.create(ListDetailPage,
        // 	// {id:123,name:"cart"}
        //  // 	);
        //  // 	modal.present();
    };
    IonCartComponent = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'ion-cart',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/components/ion-cart/ion-cart.html"*/'<!-- Generated template for the IonCartComponent component -->\n<div class="footer2">\n	<div class="shoppingcart">\n		<ion-badge class="red_dot fColorfff fontsize0625" item-end>{{cartLists.length}}</ion-badge>\n	</div>	\n	<div class="go">\n		<a href="#" (click)="gotoCart()">去采购车</a>\n	</div>\n</div> 	\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/components/ion-cart/ion-cart.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* ModalController */]])
    ], IonCartComponent);
    return IonCartComponent;
}());

//# sourceMappingURL=ion-cart.js.map

/***/ }),

/***/ 292:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CheckMobilePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__modefyPassword_modefyPassword__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var CheckMobilePage = (function () {
    function CheckMobilePage(navCtrl, http) {
        this.navCtrl = navCtrl;
        this.http = http;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getToken(); //获取token
    }
    CheckMobilePage.prototype.gotoNavPage = function (targetPage) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__modefyPassword_modefyPassword__["a" /* ModefyPasswordPage */]);
    };
    CheckMobilePage.prototype.getVerifyCode = function (tel) {
        var data = { form: { "tel": tel.value, "step": 1 }, "token": this.token };
        this.http.post(this.severUrl + 'user/repassword', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //this.navCtrl.pop();
            }
            else {
                alert(res.json().msg);
                //this.navCtrl.pop();
            }
        });
    };
    CheckMobilePage.prototype.verifyTel = function (tel, captcha) {
        var data = { form: { "tel": tel.value, "step": 1 }, "token": this.token };
        this.http.post(this.severUrl + 'user/repassword', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //this.navCtrl.pop();
            }
            else {
                alert(res.json().msg);
                //this.navCtrl.pop();
            }
        });
    };
    CheckMobilePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-checkMobile',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/checkMobile/checkMobile.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      验证手机\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n		<ul class="loginfrom">\n			<li class="lab" >手机号</li>\n			<li class="input">\n				<input type="tel" placeholder="请输入手机号"  maxlength="11" #tel/>\n			</li>\n			<li class="lab" >验证码</li>\n			<li class="input">\n				<input type="tel" placeholder="请输入验证码"  maxlength="11"/>\n				<div class="time"><a href="#" class="timetime" (click)="getVerifyCode(tel)">获取验证码</a></div>\n			</li>\n			<li class="sub">\n				<input type="submit" (click)="gotoNavPage(\'ModefyPasswordPage\')" icon-start value="下一步" />     \n			</li>\n		</ul>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/checkMobile/checkMobile.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Http */]])
    ], CheckMobilePage);
    return CheckMobilePage;
}());

//# sourceMappingURL=checkMobile.js.map

/***/ }),

/***/ 293:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return PayPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var PayPage = (function () {
    function PayPage(navCtrl) {
        this.navCtrl = navCtrl;
    }
    PayPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-pay',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/pay/pay.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      选择支付方式\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content> \n  <div class="payment">\n    <h1>订单提交成功！</h1>  \n    <div class="payment_btn">\n      <p class="fontsize07 fColor000">选择支付方式</p>\n      <a class="alipay_btn fontsize075 fColor333 left">支付宝</a>\n      <a class="cashondelivery_btn fontsize075 fColor333 left">微信支付</a>\n    </div>\n  </div>\n  <div class="clearing">\n    <p> <span class="fColor333 fontsize105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共20种)</span> <span class="orange fontsize155 left ml12">¥108.5</span></p>\n    <a class="clearing_btn fontsize105 fColorfff right">去支付</a>\n  </div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/pay/pay.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */]])
    ], PayPage);
    return PayPage;
}());

//# sourceMappingURL=pay.js.map

/***/ }),

/***/ 42:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CartPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__settlement_settlement__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var CartPage = (function () {
    function CartPage(navCtrl, params, http, cd, alertCtrl, actionSheetCtrl, events, toastCtrl) {
        this.navCtrl = navCtrl;
        this.params = params;
        this.http = http;
        this.cd = cd;
        this.alertCtrl = alertCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.events = events;
        this.toastCtrl = toastCtrl;
        this.total0 = 0;
        this.total = 0;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getToken(); //获取token
        this.appConfig = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].prototype;
        this.myAlert = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].prototype.myAlert;
        this.cartLists = [];
        this.ids = [];
        this.ar = [];
        this.isSold = '';
        this.shop_id = '';
        this.stock = 1; //判断是否有库存不足的产品
    }
    CartPage.prototype.ionViewWillEnter = function () {
        var _this = this;
        var data = { 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl() + 'system/money_min', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.startDelivery = res.json().data.money;
            }
        });
        //处理购物车下面空白样式的
        if (this.params.data.type) {
            this.blank = 0;
        }
        else {
            this.blank = 50;
        }
        this.cartLists = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getCartData(); //<=每次加载从全局把购物车数据拿过来
        this.getSeverTime();
        //this.cd.detectChanges(); //数据更新，刷新页面
        this.total0 = 0;
        this.totals();
        this.update_stock();
    };
    CartPage.prototype.presentToast = function (msg) {
        var toast = this.toastCtrl.create({
            message: msg,
            duration: 3000
        });
        toast.present();
    };
    CartPage.prototype.presentActionSheet = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '更多操作',
            buttons: [
                {
                    text: '清空购物车',
                    role: 'destructive',
                    handler: function () {
                        _this.deletAll();
                    }
                }, {
                    text: '设为一键下单',
                    handler: function () {
                        _this.quicklyOrder();
                    }
                }, {
                    text: '清空库存不足菜品',
                    role: 'destructive',
                    handler: function () {
                        _this.clear_shop();
                    }
                }, {
                    text: '清空已下架菜品',
                    role: 'destructive',
                    handler: function () {
                        _this.clear_down_jia();
                    }
                }, {
                    text: '取消',
                    role: 'cancel',
                    handler: function () {
                        console.log('已取消');
                    }
                }
            ]
        });
        actionSheet.present();
    };
    CartPage.prototype.quicklyOrder = function () {
        var _this = this;
        this.ids = [];
        for (var q in this.cartLists) {
            this.ids.push(this.cartLists[q].id);
        }
        var id = this.ids.join(","); //数组转字符串用join(),字符串转数组用split()
        var data = { form: { 'key': 'quicklist', 'value': id }, 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl() + 'user/setInfo', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //localStorage.setItem("quicklist",id);
                _this.presentToast(res.json().msg);
            }
        });
    };
    CartPage.prototype.deletAll = function () {
        var _this = this;
        this.myAlert(1, "您确定要清空您的采购车吗？", function () {
            for (var t in _this.cartLists) {
                _this.cartLists[t]['add'] = true;
            }
            _this.cartLists.splice(0);
            _this.total0 = 0;
            __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(_this.cartLists); //=>又把最新购物车数据发过去
        });
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    CartPage.prototype.deletThis = function (gid) {
        var _this = this;
        this.myAlert(1, "您确定要将此商品移除采购车吗？", function () {
            for (var g in _this.cartLists) {
                if (_this.cartLists[g].no == gid) {
                    _this.cartLists[g]['add'] = true;
                    var c = parseInt(g);
                    _this.cartLists.splice(c, 1);
                }
            }
            __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(_this.cartLists); //=>又把最新购物车数据发过去
            _this.cartLists = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getCartData();
            _this.totals(_this.cartLists);
        });
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    CartPage.prototype.getSeverTime = function () {
        var _this = this;
        var data = { "token": this.token };
        this.http.post(this.severUrl + 'system/time', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                var timestamp3 = res.json().time;
                var newDate = new Date();
                newDate.setTime(timestamp3 * 1000);
                _this.severTime = newDate.toTimeString();
                console.log(_this.severTime);
                var current_1 = _this.severTime.split(":")[0];
                _this.http.post(_this.severUrl + 'system/down_order_time', data)
                    .subscribe(function (res) {
                    if (res.json().code == 1) {
                        _this.ar = [res.json().data[0], res.json().data[1]];
                        var beginTime = parseInt(_this.ar[0]);
                        var endTime = parseInt(_this.ar[1]);
                        if (current_1 >= beginTime && current_1 < endTime) {
                            _this.times = true;
                        }
                        else {
                            _this.times = false;
                        }
                    }
                });
            }
        });
    };
    CartPage.prototype.gotoNavPage = function (targetPage) {
        if (this.total < this.startDelivery) {
            this.presentToast("不能小于最小起配送金额");
        }
        else if (!this.stock) {
            this.presentToast("存在库存不足或下架的的菜品！");
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__settlement_settlement__["a" /* SettlementPage */], { total: this.total, cartLists: this.cartLists });
        }
    };
    CartPage.prototype.totals = function (moneys) {
        if (moneys === void 0) { moneys = undefined; }
        //默认进来的初始总数
        var num;
        var money;
        if (moneys != undefined) {
            this.cartLists = moneys;
            this.total0 = 0;
        }
        this.shop_id = '';
        for (var to in this.cartLists) {
            this.shop_id += this.cartLists[to]['id'] + ",";
            if (this.cartLists[to]['subtotal'] < this.cartLists[to].amount_min) {
                num = this.cartLists[to].amount_min;
            }
            else {
                num = this.cartLists[to]['subtotal'];
            }
            this.cartLists[to]['subtotal'] = num;
            //最小起批量
            money = (num * this.cartLists[to]['price'] * 100);
            this.total0 += money;
            this.total = this.total0 / 100;
        }
    };
    //数据排序
    CartPage.prototype.compare = function (property) {
        return function (a, b) {
            var value1 = a[property];
            var value2 = b[property];
            return value1 - value2;
        };
    };
    //更新菜品数据
    CartPage.prototype.update_stock = function () {
        var _this = this;
        this.stock = 1;
        var data = { form: { ids: this.shop_id }, "token": this.token };
        this.http.post(this.severUrl + 'goods/listsByid', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                var msg = res.json().data;
                _this.cartLists.sort(_this.compare('id')); //数组按照顺序排序
                for (var to in _this.cartLists) {
                    if (_this.cartLists[to]['id'] == msg[to]['id']) {
                        _this.cartLists[to]['stock'] = msg[to]['stock']; //更新库存
                        _this.cartLists[to]['price'] = msg[to]['price']; //更新价格
                        _this.cartLists[to]['status'] = msg[to]['status']; //更新上下架状态
                        if (_this.cartLists[to]['stock'] == 0 || _this.cartLists[to]['status'] == 0) {
                            _this.stock = 0;
                        }
                    }
                }
            }
        });
        __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(this.cartLists);
    };
    //清空库存不足商品
    CartPage.prototype.clear_shop = function () {
        if (this.stock) {
            this.presentToast("没有已下架或者库存不足的菜品了");
        }
        var cart = [];
        for (var s in this.cartLists) {
            if (this.cartLists[s]['stock'] != 0) {
                cart.push(this.cartLists[s]);
            }
            else {
                this.cartLists[s]['add'] = true;
            }
        }
        this.cartLists = cart;
        __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(this.cartLists);
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
        this.update_stock();
    };
    //清空已下架的商品
    CartPage.prototype.clear_down_jia = function () {
        var cart = [];
        if (this.stock) {
            this.presentToast("没有已下架或者库存不足的菜品了");
        }
        for (var s in this.cartLists) {
            this.cartLists[s]['add'] = true;
            if (this.cartLists[s]['status'] != 0) {
                cart.push(this.cartLists[s]);
            }
            else {
                this.cartLists[s]['add'] = true;
            }
        }
        this.cartLists = cart;
        __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(this.cartLists);
        this.update_stock();
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    CartPage.prototype.commpute = function (gid, step) {
        for (var index in this.cartLists) {
            if (this.cartLists[index]['id'] == gid) {
                if (step == 1) {
                    this.cartLists[index].subtotal++; //相加
                    this.total0 += this.cartLists[index]['price'] * 100; //相加后的总数
                    this.total = this.total0 / 100;
                }
                else {
                    if (this.cartLists[index].subtotal > this.cartLists[index].amount_min) {
                        this.cartLists[index].subtotal--; //相减
                        this.total0 -= this.cartLists[index]['price'] * 100; //相减后的总数
                        this.total = this.total0 / 100;
                    }
                    else {
                        alert("此商品不能低于最小起批量！");
                    }
                }
            }
        }
    };
    CartPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-cart',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/cart/cart.html"*/'<ion-header>\n  <ion-navbar>\n      <ion-title>\n        采购车\n      </ion-title>\n      <ion-buttons end>\n        <button ion-button (click)="presentActionSheet()" class="more">...</button>\n      </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n<div class="empty" *ngIf="cartLists.length == 0">\n  <img src="assets/imgs/empty_pic_shoppingcart@2x.png">\n  <h3>采购车太空了！</h3>\n  <h4>赶紧去采购吧</h4>\n</div>\n<div class="reminder onekey_done" *ngIf = "times == false">\n      <span>当前时段无法进行结算，正常下单时间：{{ar[0]}}点-{{ar[1]}}点</span>\n</div>\n<div class="commodity" *ngIf="cartLists.length != 0">\n  <ul>\n    <li *ngFor = "let item of cartLists" class="{{isSold?\'soldOut\':\'\'}}">\n    \n      <div *ngIf="item?.stock>0 && item?.status>0">\n          <a class="delete_btn" (click)="deletThis(item?.no)"></a>\n          <div class="listBox">\n            <h5 class="fontsize07 fColor999">货号{{item?.no}}</h5>\n            <h4 class="fontsize105 fColor333">{{item?.vegetable_title}}({{item?.goods_title}})</h4>\n            <p class="btn">\n              <a class="subtract" (click)="commpute(item?.id,0)">-</a>\n              <span class="fColor333 fontsize105">{{item?.subtotal}}</span>\n              <a class="addition" (click)="commpute(item?.id,1)">+</a>\n            </p>\n            <p class="clearBoth"> <span class="orange fontsize125">¥{{item?.price}}</span> <span class="fColor999 fontsize08">/每{{item?.unit}} {{item?.price_info}}</span> <span class="orange fontsize145 right ml12">¥{{(item?.price*item?.subtotal).toFixed(2)}}</span><span class="fColor666 fontsize08 right">小计</span> </p>\n          </div>\n      </div>\n\n      <div *ngIf="item?.status==0">\n          <a class="delete_btn" (click)="deletThis(item?.no)"></a>\n          <div class="white_mask fontsize075 lightorange">已下架</div>\n          <div class="listBox">\n            <h5 class="fontsize07 fColor999">货号{{item?.no}}</h5>\n            <h4 class="fontsize105 fColor333">{{item?.vegetable_title}}({{item?.goods_title}})</h4>\n            <p class="btn">\n              <a class="subtract" (click)="commpute(item?.id,0)">-</a>\n              <span class="fColor333 fontsize105">{{item?.subtotal}}</span>\n              <a class="addition" (click)="commpute(item?.id,1)">+</a>\n            </p>\n            <p class="clearBoth"> <span class="orange fontsize125">¥{{item?.price}}</span> <span class="fColor999 fontsize08">/每{{item?.unit}} {{item?.price_info}}</span> <span class="orange fontsize145 right ml12">¥{{(item?.price*item?.subtotal).toFixed(2)}}</span><span class="fColor666 fontsize08 right">小计</span> </p>\n          </div>\n      </div>\n\n      <div *ngIf="item?.stock<1">\n          <a class="delete_btn" (click)="deletThis(item?.no)"></a>\n          <div class="listBox">\n            <div class="white_mask fontsize075 lightorange">库存不足</div>\n            <h5 class="fontsize07 fColor999">货号{{item?.no}}</h5>\n            <h4 class="fontsize105 fColor333">{{item?.vegetable_title}}({{item?.goods_title}})</h4>\n            <p class="btn">\n              <a class="subtract" (click)="commpute(item?.id,0)">-</a>\n              <span class="fColor333 fontsize105">{{item?.subtotal}}</span>\n              <a class="addition" (click)="commpute(item?.id,1)">+</a>\n            </p>\n            <p class="clearBoth"> <span class="orange fontsize125">¥{{item?.price}}</span> <span class="fColor999 fontsize08">/每{{item?.unit}} {{item?.price_info}}</span> <span class="orange fontsize145 right ml12">¥{{(item?.price*item?.subtotal).toFixed(2)}}</span><span class="fColor666 fontsize08 right">小计</span> </p>\n          </div>\n      </div>\n\n    </li>\n<!--        <li class="soldout">\n        <div class="white_mask fontsize075 lightorange">此菜品已下架</div>\n        <h5 class="fontsize07 fColor999">货号1234567</h5>\n        <h4 class="fontsize105 fColor333">小黄瓜(优质)</h4>\n        <p class="btn">\n      <a class="subtract">-</a>\n          <span class="fColor333 fontsize105">1</span>\n            <a class="addition">+</a>\n       </p>\n        <p> <span class="orange fontsize125">¥3.35</span> <span class="fColor999 fontsize08">/袋(10斤)</span> <span class="orange fontsize145 right ml12">¥7.50</span><span class="fColor666 fontsize08 right">小计</span> </p>\n      \n    </li>\n     <li class="soldout">\n      <div class="white_mask fontsize075 lightorange">此菜品已下架</div>\n      <h5 class="fontsize07 fColor999">货号1234567</h5>\n      <h4 class="fontsize105 fColor333">小黄瓜(优质)</h4>\n      <p class="btn">\n      <a class="subtract">-</a>\n          <span class="fColor333 fontsize105">1</span>\n            <a class="addition">+</a>\n      </p>\n      <p> <span class="orange fontsize125">¥3.35</span> <span class="fColor999 fontsize08">/袋(10斤)</span> <span class="orange fontsize145 right ml12">¥7.50</span><span class="fColor666 fontsize08 right">小计</span> </p>\n      \n    </li>\n -->\n\n  </ul>\n<ion-fab>\n  <div class="clearing" [ngStyle]="{\'bottom\': blank}">\n      <div class="delivery_state">\n        <span class="delivery_btn fontsize08 fColorfff left">起送说明</span>\n        <p class="fontsize075 orange">单日累计下单金额满{{startDelivery}}元起送</p>\n      </div>\n      <p> <span class="fColor333 fontsize105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共{{cartLists.length}}种)</span> <span class="orange fontsize155 left ml12">¥{{total.toFixed(2)}}</span></p>\n      <a *ngIf = "times == true" class="clearing_btn fontsize105 fColorfff right" (click)="gotoNavPage(\'SettlementPage\')" icon-start>去结算</a>\n      <a *ngIf = "times == false" class="clearing2_btn fontsize105 fColorfff right" icon-start>去结算</a>\n  </div>\n</ion-fab>\n\n<div class="soldout_btn">\n  <p (click)="clear_down_jia()" class="fontsize08 orange">清空已下架菜品</p>\n  <p (click)="clear_shop()" class="fontsize08 orange">清空库存不足菜品</p>\n</div>\n\n</div>\n </ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/cart/cart.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["j" /* ChangeDetectorRef */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */]])
    ], CartPage);
    return CartPage;
}());

//# sourceMappingURL=cart.js.map

/***/ }),

/***/ 43:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OrderPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__orderDetail_orderDetail__ = __webpack_require__(206);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var OrderPage = (function () {
    function OrderPage(navCtrl, http) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.orderList = [];
        this.tabTitleOrder = [
            { text: "全部", id: 99, curs: true },
            { text: "待付款", id: 3, curs: false },
            { text: "配送中", id: 2, curs: false },
            { text: "已完成", id: 1, curs: false }
        ];
        this.curs = true;
    }
    OrderPage.prototype.ionViewWillEnter = function () {
        this.getOrder(99);
    };
    OrderPage.prototype.getOrder = function (type) {
        var _this = this;
        for (var f in this.tabTitleOrder) {
            this.tabTitleOrder[f]["curs"] = false;
            if (this.tabTitleOrder[f]["id"] == type) {
                this.tabTitleOrder[f]["curs"] = true;
            }
        }
        var data = { form: { type: type }, 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl() + 'order/lists', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //console.log(res.json().data);
                _this.orderList = res.json().data;
                for (var t in _this.orderList) {
                    var statusCode = _this.orderList[t].status;
                    switch (statusCode) {
                        case 0:
                            _this.orderList[t].status = "订单取消";
                            break;
                        case 1:
                            _this.orderList[t].status = "已完成";
                            break;
                        case 2:
                            _this.orderList[t].status = "配送中…";
                            break;
                        case 3:
                            _this.orderList[t].status = "待付款";
                            break;
                        case -1:
                            _this.orderList[t].status = "已删除";
                            break;
                        default:
                            // code...
                            break;
                    }
                    var timestamp3 = _this.orderList[t].create_time;
                    var newDate = new Date();
                    newDate.setTime(timestamp3 * 1000);
                    var create_times = newDate.toLocaleDateString();
                    _this.orderList[t].create_time = create_times;
                }
            }
        });
    };
    OrderPage.prototype.gotoOrderDetail = function (o) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__orderDetail_orderDetail__["a" /* OrderDetailPage */], o.id);
    };
    OrderPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-order',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/order/order.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      我的订单\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n<div class="classify">	\n\n<a *ngFor = "let item of tabTitleOrder" (click)="getOrder(item?.id)">\n	<span [ngClass]="{cur: item?.curs}">{{item?.text}}</span>\n</a>\n</div>  \n\n<!-- <div class="today_order">\n	今日订单\n</div> -->\n<div class="order_details" *ngIf="orderList.length != 0">\n	<ul >\n		<li class="delivery" *ngFor = "let o of orderList" (click)="gotoOrderDetail(o)">\n			<div class="order_number">\n				<p class="fColor666 fontsize08">订单编号：{{o?.no}}<span class="fontsize0875 green right fontweightb">{{o?.status}}</span></p>\n			</div>\n			<div class="productinfo">\n				<img [src]= "severUrl+o?.image">\n				<p class="fColor333 fontsize105 ml22 left">{{o?.title}}\n				<br><span class="fColor999 fontsize075">{{o?.create_time}}</span>\n				<!-- <span class="fColor999 fontsize075 ml8">19:37:06</span> --></p>\n			</div>\n			<div class="summation">\n  				<p> <span class="fColor333 fontsize105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共{{o?.data.length}}种)</span> <span class="orange fontsize155 left ml12">¥{{o?.amount}}</span></p>\n  			</div>\n		</li>\n	</ul>\n	<div class="zuidi">\n		<span>已经到最底了</span>\n	</div>\n</div>\n<div class="empty" *ngIf="orderList.length == 0">\n	<img src="assets/imgs/empty_pic_shoppingcart@2x.png">\n	<h3>您还没有相关订单!</h3>\n	<h4>赶紧去采购吧</h4>\n</div>\n<!--<div class="history_order">\n	历史订单\n</div>\n<div class="order_details">\n 	<ul>\n		<li class="delivery">\n			<div class="order_number">\n				<p class="fColor666 fontsize08">订单编号：00126977462<span class="fontsize0875 green right fontweightb">交易成功</span></p>\n			</div>\n			<div class="productinfo">\n				<img src="assets/imgs/productinfo_pic_myorder@2x.png">\n				<p class="fColor333 fontsize105 ml22 left">小黄瓜等10件蔬菜\n				<br><span class="fColor999 fontsize075">2016.07.16</span>\n				<span class="fColor999 fontsize075 ml8">19:37:06</span></p>\n			</div>\n			<div class="summation">\n  				<p> <span class="fColor333 fontsize105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共20种)</span> <span class="orange fontsize155 left ml12">¥108.5</span></p>\n  			</div>\n		</li>\n		<li class="topay">\n			<div class="order_number">\n				<p class="fColor666 fontsize08">订单编号：00126977462<span class="fontsize0875 green right fontweightb">交易失败</span></p>\n			</div>\n			<div class="productinfo">\n				<img src="assets/imgs/productinfo_pic_myorder@2x.png">\n				<p class="fColor333 fontsize105 ml22 left">小黄瓜等10件蔬菜\n				<br><span class="fColor999 fontsize075">2016.07.16</span>\n				<span class="fColor999 fontsize075 ml8">19:37:06</span></p>\n			</div>\n			<div class="summation bottom">\n  				<p> <span class="fColor333 fontsize105 left ml12">合计</span> <span class="fColor666 fontsize075 left ml6">(共20种)</span> <span class="orange fontsize155 left ml12">¥108.5</span></p>\n  			</div>\n		</li>\n	</ul>\n</div>\n -->\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/order/order.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */]])
    ], OrderPage);
    return OrderPage;
}());

//# sourceMappingURL=order.js.map

/***/ }),

/***/ 54:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RedPacketPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var RedPacketPage = (function () {
    function RedPacketPage(navCtrl, http, events) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.events = events;
        this.severUrl = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_3__app_main__["AppConfig"].getToken(); //获取token
        this.redPacketList = [];
        this.nowDate = new Date().getTime();
        this.count = 0; //存放即将过期红包个数，规则为当前时间后三天；
        this.getRedpacket();
    }
    RedPacketPage.prototype.selectRedPacket = function (id) {
        for (var t in this.redPacketList) {
            if (this.redPacketList[t].id == id) {
                this.events.publish('redPacketParams', {
                    amount: this.redPacketList[t].amount,
                    id: this.redPacketList[t].id
                });
                this.navCtrl.pop();
            }
        }
    };
    RedPacketPage.prototype.getRedpacket = function () {
        var _this = this;
        var data1 = { form: { "type": 1 }, "token": this.token };
        this.http.post(this.severUrl + 'user/coupon', data1)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                var redPacketLists = res.json().data;
                for (var s in redPacketLists) {
                    var timestamp3 = redPacketLists[s].end_time;
                    if (timestamp3 * 1000 < (_this.nowDate + 3 * 1000 * 60 * 60 * 24) && timestamp3 * 1000 > _this.nowDate) {
                        _this.count++;
                    }
                    var newDate = new Date();
                    newDate.setTime(timestamp3 * 1000);
                    var end_times = newDate.toLocaleDateString();
                    redPacketLists[s].end_time = end_times;
                    _this.redPacketList = redPacketLists;
                }
            }
        });
    };
    RedPacketPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-redPacket',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/redPacket/redPacket.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title>\n      我的红包\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n	<div class="empty" *ngIf="redPacketList.length == 0">\n		<img src="assets/imgs/empty_pic_shoppingcart@2x.png">\n		<h3>很抱歉!</h3>\n		<h4>您还没有收到红包</h4>\n	</div>\n	<div *ngIf="redPacketList.length != 0">\n		<div class="word">\n			<div class="explain">有<span>{{count}}</span>个红包即将过期</div>\n			<div class="red">红包说明</div>\n		</div>\n		<div class="main">\n			<ul>\n				<li class="list" *ngFor = "let item of redPacketList" (click)="selectRedPacket(item?.id)">\n					<span>{{item?.amount}}</span>\n					<h3>限{{item?.end_time}}前使用</h3>\n				</li>\n			</ul>\n		</div>\n		<div class="zuidi"><span>没有更多了</span></div>\n	</div>\n</ion-content> \n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/redPacket/redPacket.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["d" /* Events */]])
    ], RedPacketPage);
    return RedPacketPage;
}());

//# sourceMappingURL=redPacket.js.map

/***/ }),

/***/ 55:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ListDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__app_main__ = __webpack_require__(8);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ListDetailPage = (function () {
    function ListDetailPage(navCtrl, http, params, sanitizer, events, cd) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.params = params;
        this.sanitizer = sanitizer;
        this.events = events;
        this.cd = cd;
        //接收数据用
        this.severUrl = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl(); //服务器地址
        this.token = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getToken(); //获取token
        this.addFavorite = true;
        this.myFavoriteId = [];
        this.appConfig = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].prototype;
        this.cartLists = [];
        this.add = true;
        this.top = false;
    }
    ListDetailPage.prototype.ionViewWillEnter = function () {
        this.cartLists = __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getCartData();
        this.onLoadData();
    };
    ListDetailPage.prototype.publishEvents = function () {
        this.events.publish('cartLists', this.cartLists); //传值到events 供所有页面调用
    };
    ListDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    ListDetailPage.prototype.check = function () {
        if (this.content.scrollTop > 400) {
            this.top = true;
        }
        else {
            this.top = false;
        }
        this.cd.detectChanges(); //手动触发变更检测，以渲染模板 强制页面检查刷新
    };
    ListDetailPage.prototype.gotoTop = function () {
        this.content.scrollTo(0, 0, 300);
    };
    ListDetailPage.prototype.addInCart = function (cur, params) {
        if (cur === 0) {
            this.add = false;
            this.cartLists.push(this.resData);
            for (var t in this.cartLists) {
                this.cartLists[t]['add'] = false;
                this.cartLists[t]['subtotal'] = this.cartLists[t].amount_min;
            }
            __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(this.cartLists);
            this.publishEvents();
        }
        else if (cur === 1) {
            this.add = true;
            for (var s in this.cartLists) {
                if (this.cartLists[s]['id'] == params) {
                    this.cartLists[s]['add'] = true;
                    var c = parseInt(s);
                    this.cartLists.splice(c, 1);
                }
            }
            __WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].myCartData(this.cartLists);
            this.publishEvents();
        }
    };
    ListDetailPage.prototype.onLoadData = function () {
        var _this = this;
        for (var i in this.cartLists) {
            if (this.cartLists[i]["id"] == this.params.data.goodsId) {
                this.add = false;
            }
        }
        //获取我的收藏，跟此商品id做比较，存在表示已收藏
        var data0 = { 'token': this.token };
        this.http.post(__WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl() + 'user/info', data0)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                //console.log(res.json().data.favorite);
                var str = res.json().data.favorite;
                _this.myFavoriteId = str.split(","); // 在每个逗号(,)处进行分解,并返回为数组。
                for (var f in _this.myFavoriteId) {
                    if (_this.myFavoriteId[f] == _this.params.data.goodsId) {
                        _this.addFavorite = false;
                    }
                }
            }
            else {
                alert(res.json().msg);
            }
        });
        //获取详细信息
        var data = { form: { "id": this.params.data.goodsId }, "token": this.token };
        this.http.post(this.severUrl + 'goods/show', data)
            .subscribe(function (res) {
            if (res.json().code == 1) {
                _this.resData = res.json().data;
                console.log(_this.resData);
                // console.log(this.add);
                //使用正则把图片地址匹配出来，加上域名进行字符串替换
                var str = _this.resData.content;
                _this.newStr = str.replace(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi, function (match, capture) {
                    return "<img src='http://api.caige.appux.cn" + capture + "'/>";
                });
                _this.imgGroup = _this.newStr.match(/<img [^>]*src=['"]([^'"]+)[^>]*>/gi);
            }
            else {
                alert(res.json().msg);
            }
        });
    };
    ListDetailPage.prototype.setFavorite = function (ids, params) {
        var _this = this;
        //设为收藏
        if (params == 1) {
            var id_1 = localStorage.getItem("favorite") + ',' + ids;
            var data = { form: { 'key': 'favorite', 'value': id_1 }, 'token': this.token };
            this.http.post(__WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl() + 'user/setInfo', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    _this.addFavorite = false;
                    localStorage.setItem("favorite", id_1);
                }
            });
            //取消收藏
        }
        else if (params == 0) {
            var str = localStorage.getItem("favorite");
            this.myFavoriteId = str.split(","); //字符串转化为数组
            for (var f in this.myFavoriteId) {
                if (this.myFavoriteId[f] == ids) {
                    var c = parseInt(f);
                    this.myFavoriteId.splice(c, 1);
                }
            }
            var id_2 = this.myFavoriteId.join(','); //数组转为字符串
            var data = { form: { 'key': 'favorite', 'value': id_2 }, 'token': this.token };
            this.http.post(__WEBPACK_IMPORTED_MODULE_4__app_main__["AppConfig"].getProdUrl() + 'user/setInfo', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    _this.addFavorite = true;
                    localStorage.setItem("favorite", id_2);
                }
            });
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* Content */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* Content */])
    ], ListDetailPage.prototype, "content", void 0);
    ListDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-listDetail',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/listDetail/listDetail.html"*/'<ion-header> \n  <ion-navbar>\n    <ion-title>\n       菜品详细\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content (ionScroll)="check()"> \n	<div>\n		<div class="imgage" >\n			<ion-slides pager class="banner2">\n				<ion-slide *ngFor="let item of imgGroup" [innerHTML]="(item)">\n				</ion-slide>\n				<!-- <ion-slide><img src="http://api.caige.appux.cn/uploads/images/20180502/1525232546136217.png"></ion-slide>\n				<ion-slide><img src="http://api.caige.appux.cn/uploads/images/20180502/1525232546136217.png"></ion-slide>\n				<ion-slide><img src="http://api.caige.appux.cn/uploads/images/20180502/1525232546136217.png"></ion-slide> -->\n			</ion-slides>\n\n			<div class="tip">\n				<h4>货号：{{resData?.no}}</h4>\n				<h5>图片仅供参考，以实物为准</h5>\n			</div>\n		</div>\n		<div class="list">\n			<div class="name">\n				<h2>{{resData?.vegetable_title}}<span>({{resData?.goods_title}})</span></h2>\n				<a href="#" class="collection" *ngIf="addFavorite == true" (click)="setFavorite(resData?.id,1)">收藏</a>\n				<a href="#" class="unCollection" *ngIf="addFavorite == false" (click)="setFavorite(resData?.id,0)">已收藏</a>\n			</div>\n			<div class="address">\n				<span>产地：{{resData?.source}}</span>\n			</div>\n			<div class="number">\n				<span>库存：{{resData?.stock}}件</span>\n			</div>\n			<div class="number">\n				<span>起批量：{{resData?.amount_min}}{{resData?.unit}}</span>\n			</div>\n			<div class="price">\n				<span class="price1">¥{{resData?.price}}</span>\n				<span class="price2">/{{resData?.unit}} {{resData?.unit_info}}</span>\n				<span class="price3">{{resData?.price_info}}</span>\n			   <a herf="#" class="add" *ngIf="add == true" (click)="addInCart(0,resData?.id)">添加到采购车</a>\n			   <a herf="#" class="added" *ngIf="add == false" (click)="addInCart(1,resData?.id)">从采购车移除</a>\n\n\n				<!-- <a href="#" class="add" >添加到采购车</a> -->\n			</div>\n		</div>\n		<div class="conten">\n			<div class="tittle">\n				<h2>详情描述</h2>\n			</div>\n			<div class="describe" [innerHTML]="(newStr)"></div>\n			<a class="up" (click)="gotoTop()" *ngIf="top">\n				<img  src="assets/imgs/common_icon_up_nor.png" width="44" height="44" alt=""/> \n			</a>\n		</div>\n	</div>\n	<ion-fab>\n		<ion-cart></ion-cart>\n	</ion-fab>\n</ion-content>\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/listDetail/listDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* Events */],
            __WEBPACK_IMPORTED_MODULE_0__angular_core__["j" /* ChangeDetectorRef */]])
    ], ListDetailPage);
    return ListDetailPage;
}());

//# sourceMappingURL=listDetail.js.map

/***/ }),

/***/ 56:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__app_main__ = __webpack_require__(8);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(6);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__pages_setPassword_setPassword__ = __webpack_require__(213);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






//import { AppModule } from "../../app/app.module";
/**
 * Generated class for the LoginPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var LoginPage = (function () {
    //接收数据用
    // listData:{
    // 	token:''
    // };
    function LoginPage(navCtrl, http, alertCtrl, loadingCtrl) {
        this.navCtrl = navCtrl;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
    }
    // ionViewWillEnter(){
    // 	this.logIn();
    // }
    LoginPage.prototype.presentAlert = function (msg) {
        var alert = this.alertCtrl.create({
            title: '提示',
            subTitle: msg,
            buttons: ['确定']
        });
        alert.present();
    };
    LoginPage.prototype.gotoSetPassword = function (tel) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__pages_setPassword_setPassword__["a" /* SetPasswordPage */], {
            tel: tel.value
        });
    };
    //网络请求
    LoginPage.prototype.logIn = function (tel, password) {
        var _this = this;
        if (tel.value.length == 0) {
            this.presentAlert("请输入账号");
        }
        else if (password.value.length == 0) {
            this.presentAlert("请输入密码");
        }
        else {
            //this.presentLoading();
            var data = { form: { "tel": tel.value, "password": password.value } };
            //let data = {form:{"tel":13800138000,"password":123456}};
            this.http.post(__WEBPACK_IMPORTED_MODULE_2__app_main__["AppConfig"].getProdUrl() + 'user/login', data)
                .subscribe(function (res) {
                if (res.json().code == 1) {
                    //console.log(res.json().data);
                    localStorage.setItem("token", res.json().data.token);
                    localStorage.setItem("favorite", res.json().data.favorite);
                    localStorage.setItem("address", res.json().data.address);
                    localStorage.setItem("mid", res.json().data.mid);
                    localStorage.setItem("nickname", res.json().data.nickname);
                    localStorage.setItem("mobile", res.json().data.mobile);
                    _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__pages_tabs_tabs__["a" /* TabsPage */]); //用push开新页面，意味着在安卓通过返回键可以返回
                }
                else {
                    _this.presentAlert(res.json().msg);
                }
            });
        }
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-login',template:/*ion-inline-start:"/Users/zhaojunjie/Desktop/caige/src/pages/login/login.html"*/'<ion-content  class="loginpage">\n	\n	<img class="landing"  src="assets/imgs/landing_logo_nor.png" width="75" height="36" alt=""/>\n	<ul class="loginfrom">\n		<li class="input">\n			<input type="tel" placeholder="请输入手机号"  maxlength="11" #tel/>\n		</li>\n		<li class="input">\n			<input type="password" placeholder="请输入密码（最多11位）"  maxlength="11" #password/>\n		</li>\n	\n		<li class="sub">\n			<input type="submit" value="登录" ion-button block color="danger" (click)="logIn(tel,password)" />        \n		</li>\n		<a href="#" (click)="gotoSetPassword(tel)" class="zi">忘记密码?</a>\n		<li class="Slogan">菜哥出品，必出精品，<a href="tel:13618091132">联系客服</a></li>\n	</ul>\n</ion-content>\n'/*ion-inline-end:"/Users/zhaojunjie/Desktop/caige/src/pages/login/login.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1__angular_http__["a" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["h" /* LoadingController */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 8:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AppConfig", function() { return AppConfig; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(216);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(239);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
var AppConfig = (function () {
    //static total;
    function AppConfig(http, events, alertCtrl) {
        this.http = http;
        this.events = events;
        this.alertCtrl = alertCtrl;
    }
    //生产环境
    AppConfig.getProdUrl = function () {
        return "http://api.caige.appux.cn/";
    };
    AppConfig.getToken = function () {
        return localStorage.getItem('token');
    };
    AppConfig.getCartData = function () {
        return this.cartLists;
    };
    AppConfig.myCartData = function (cart) {
        console.log(cart);
        this.cartLists = cart;
        return this.cartLists;
    };
    AppConfig.prototype.isVisibel = function (params) {
        if (params == 1) {
            return true;
        }
        else if (params == 0) {
            return false;
        }
    };
    AppConfig.prototype.myAlert = function (type, msg, action) {
        if (type == 0) {
            var alert_1 = this.alertCtrl.create({
                title: '菜哥提示',
                subTitle: msg,
                buttons: [
                    {
                        text: "确定",
                        handler: function (data) {
                            action();
                        }
                    }
                ]
            });
            alert_1.present();
        }
        else if (type == 1) {
            var alert_2 = this.alertCtrl.create({
                title: '菜哥提示',
                subTitle: msg,
                buttons: [
                    {
                        text: "取消",
                        handler: function (data) {
                        }
                    },
                    {
                        text: "确定",
                        handler: function (data) {
                            action();
                        }
                    }
                ]
            });
            alert_2.present();
        }
    };
    AppConfig.cartLists = [];
    return AppConfig;
}());

//# sourceMappingURL=main.js.map

/***/ })

},[8]);
//# sourceMappingURL=main.js.map